# Build configuration

%define build_bootstrap 0
%{?_with_bootstrap: %{expand: %%global build_bootstrap 1}}

%if 0%{?build_bootstrap}
%define build_docs 0
%else
%define build_docs 1
%endif

%ifarch %{arm} aarch64
%define build_docs 0
%endif

%bcond_without postgres
%bcond_without mysql
%bcond_without sqlite
%bcond_without tds
%bcond_without cups
%bcond_with qvfb
%bcond_without examples
%bcond_without odbc

%bcond_with debug
%bcond_without ibase

# Versioning

%define qtmajor 5
%define qtminor 15
%define qtsubminor 7
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define subrel 2
%define rel 6

%define snapshot 0

%if 0%{?snapshot}
%define pre rc
%endif

%define qttarballdir qtbase-everywhere-opensource-src-%{qtversion}%{?pre:-%{pre}}

# Library names

%define libqt %mklibname qt5base %qtmajor
%define libqtdevel %mklibname qt5base %qtmajor -d

%define libqtcore %mklibname qt5core %qtmajor
%define libqtcore_d %mklibname qt5core -d

%define libqtconcurrent %mklibname qt5concurrent %qtmajor
%define libqtconcurrent_d %mklibname qt5concurrent -d

%define libqtdbus %mklibname qt5dbus %qtmajor
%define libqtdbus_d %mklibname qt5dbus -d

%define libqteglfsdeviceintegration %mklibname qt5eglfsdeviceintegration %qtmajor
%define libqteglfsdeviceintegration_d %mklibname qt5eglfsdeviceintegration -d

%define libqteglfskmssupport %mklibname qt5eglfskmssupport %qtmajor
%define libqteglfskmssupport_d %mklibname qt5eglfskmssupport -d

%define libqtgui %mklibname qt5gui %qtmajor
%define libqtgui_d %mklibname qt5gui -d

%define libqtnetwork %mklibname qt5network %qtmajor
%define libqtnetwork_d %mklibname qt5network -d

%define libqtopengl %mklibname qt5opengl %qtmajor
%define libqtopengl_d %mklibname qt5opengl -d

%define libqtplatformsupport %mklibname qt5platformsupport %qtmajor
%define libqtplatformsupport_d %mklibname qt5platformsupport -d

%define libqtprintsupport %mklibname qt5printsupport %qtmajor
%define libqtprintsupport_d %mklibname qt5printsupport -d

%define libqtsql %mklibname qt5sql %qtmajor
%define libqtsql_d %mklibname qt5sql -d

%define libqttest %mklibname qt5test %qtmajor
%define libqttest_d %mklibname qt5test -d

%define libqtwidgets %mklibname qt5widgets %qtmajor
%define libqtwidgets_d %mklibname qt5widgets -d

%define libqtxcbqpa %mklibname qt5xcbqpa %qtmajor
%define libqtxcbqpa_d %mklibname qt5xcbqpa -d

%define libqtxml %mklibname qt5xml %qtmajor
%define libqtxml_d %mklibname qt5xml -d

%define libqtedid %mklibname qt5edid %qtmajor
%define libqtedid_d %mklibname qt5edid -d

%define libqtaccessibilitysupport_d %mklibname qt5accessibilitysupport -d -s
%define libqtlinuxaccessibilitysupport_d %mklibname qt5linuxaccessibilitysupport -d -s
%define libqtbootstrap_d %mklibname qt5bootstrap -d -s
%define libqtbootstrap_old_d %mklibname qt5bootstrap -d 
%define libqtdevicediscoverysupport_d %mklibname qt5devicediscoverysupport -d -s
%define libqteglsupport_d %mklibname qt5eglsupport -d -s
%define libqteventdispatchersupport_d %mklibname qt5eventdispatchersupport -d -s
%define libqtfbsupport_d %mklibname qt5fbsupport -d -s
%define libqtfontdatabasesupport_d %mklibname qt5fontdatabasesupport -d -s
%define libqtglxsupport_d %mklibname qt5glxsupport -d -s
%define libqtinputsupport_d %mklibname qt5inputsupport -d -s
%define libqtkmssupport_d %mklibname qt5kmssupport -d -s
%define libqtplatformcompositorsupport_d %mklibname qt5platformcompositorsupport -d -s
%define libqtservicesupport_d %mklibname qt5servicesupport -d -s
%define libqtthemesupport_d %mklibname qt5themesupport -d -s
%define libqtxkbcommonsupport_d %mklibname qt5xkbcommonsupport -d -s
%define libqtvulkansupport_d %mklibname qt5vulkansupport -d -s


# Folder macros

%define _qt5_prefix %{_prefix}
%define _qt5_archdatadir %{_libdir}/qt5
%define _qt5_datadir %{_datadir}/qt5
%define _qt5_bindir %{_qt5_archdatadir}/bin
%define _qt5_docdir %{_docdir}/qt5
%define _qt5_libdir %{_libdir}
%define _qt5_includedir %{_includedir}/qt5
%define _qt5_headerdir %{_includedir}/qt5
%define _qt5_plugindir %{_qt5_archdatadir}/plugins
%define _qt5_demosdir %{_qt5_archdatadir}/demos
%define _qt5_examplesdir %{_qt5_archdatadir}/examples
%define _qt5_importdir %{_qt5_archdatadir}/imports
%define _qt5_testsdir %{_qt5_archdatadir}/tests
%define _qt5_translationdir %{_datadir}/qt5/translations
%define _qt5_settingsdir %{_sysconfdir}/xdg
%define _qt5_sysconfdir %{_qt5_settingsdir}
%define _qt5_libexecdir %{_qt5_archdatadir}/libexec
%define _qt5_qmldir %{_qt5_archdatadir}/qml

# Do not check any files in %%{_qt5_plugindir}/platformthemes/ for requires.
# Those themes are there for platform integration. If the required libraries are
# not there, the platform to integrate with isn't either. Then Qt will just
# silently ignore the plugin that fails to load. Thus, there is no need to let
# RPM drag in gtk2 as a dependency for the GTK+ 2 dialog support.
%global __requires_exclude_from ^%{_qt5_plugindir}/platformthemes/.*$

Name:           qtbase5
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        Qt GUI toolkit
Group:          Development/KDE and Qt
License:        LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:            https://www.qt.io/
Source0:        https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
# https://bugzilla.redhat.com/show_bug.cgi?id=1227295
# https://bugs.mageia.org/show_bug.cgi?id=27054
# https://bugs.mageia.org/show_bug.cgi?id=26900
Source1:        qtlogging.ini
Source2:        qt5.macros
# xinitrc script to check for OpenGL 1 only drivers and automatically set
# QT_XCB_FORCE_SOFTWARE_OPENGL for them
Source3:        qt5-fedora-check-opengl2.sh

## backport from upstream

## Branch patches

## Fedora patches
# support firebird version 4.x
Patch64:        qt5-qtbase-5.12.1-firebird-4.0.0.patch

# python3
Patch68:        qtbase-everywhere-src-5.11.1-python3.patch

## Trunk patches

## Mageia patches
# (blino) revert upstream patch that forbids -reduce-relocations on ARM
# since -Bsymbolic is fixed on ARM in ld 2.25 (QTBUG-36129 and binutils#16715)
Patch100:       qtbase5-revert-old-arm-linker-limitation.patch

#
# Security patches
# P1000 -> ...
# CVE-2023-24607 in Qt SQL ODBC driver plugin
Patch1002:      CVE-2023-24607-qtbase-5.15.patch
Patch1003:      CVE-2023-32762-qtbase-5.15.patch
Patch1004:      CVE-2023-32763-qtbase-5.15.patch
Patch1005:      CVE-2025-4211-qtbase-5.15.diff
Patch1006:      CVE-2025-5455-qtbase-5.15.patch
Patch1007:      CVE-2025-30348-qtbase-5.15.diff

## upstream patches
# QT/KDE Collection Patches
Patch10001:    0001-Fix-build-with-GCC-11-include-limits.patch
Patch10002:    0002-Build-fixes-for-GCC-11.patch
Patch10003:    0003-Partially-revert-813a928c7c3cf98670b6043149880ed5c95.patch
Patch10004:    0004-Fix-get-out-of-bounds-index-in-QSortFilterProxyModel.patch
Patch10005:    0005-Fix-handling-of-surrogates-in-QBidiAlgorithm.patch
Patch10006:    0006-Don-t-own-unique-name-for-QDBusTrayIcon.patch
Patch10007:    0007-Deprecate-QMutex-in-recursive-mode.patch
Patch10008:    0008-Fix-QAbstractItemModelTester-false-positive.patch
Patch10009:    0009-QTableView-honor-spans-when-calculating-height-width.patch
Patch10010:    0010-Fix-no-mapping-for-SysReq-key.patch
Patch10011:    0011-qdbus-add-support-for-aay-QByteArrayList.patch
Patch10012:    0012-QRandom-drop-a-usage-of-std-is_literal_type.patch
Patch10013:    0013-fix-Optimize-the-performance-of-the-inotify-file-sys.patch
Patch10014:    0014-fix-Alt-shortcut-on-non-US-layouts.patch
Patch10015:    0015-Fix-copy-and-paste-bug-in-QDTEP-getMaximum.patch
Patch10016:    0016-QSortFilterProxyModel-create-mappings-on-demand-agai.patch
Patch10017:    0017-Optimize-quadratic-time-insertion-in-QSortFilterProx.patch
Patch10018:    0018-Update-shared-mime-info-to-the-2.1-release-adjust-im.patch
Patch10019:    0019-xcb-Remove-need-for-QXCBScreen-to-resolve-QXcbGlInte.patch
Patch10020:    0020-Fix-tst_moc-for-C-17.patch
Patch10021:    0021-Fix-memory-leak-of-QOffscreenScreen-in-QOffscreenInt.patch
Patch10022:    0022-Remove-another-usage-of-mysql_get_client_version.patch
Patch10023:    0023-linux-clang-qplatformdefs-fix-building-with-musl-lib.patch
Patch10024:    0024-Remove-checks-for-glibc-2-from-qplatformdefs.h-files.patch
Patch10025:    0025-MySQL-treat-the-MYSQL_FIELD-as-read-only.patch
Patch10026:    0026-Fix-access-to-content-URLs-with-transient-read-write.patch
Patch10027:    0027-Cater-for-upstream-changes-in-eglplatform.h.patch
Patch10028:    0028-Fix-memory-leak.patch
Patch10029:    0029-Fix-QPainterPath-with-QFont-SmallCaps.patch
Patch10030:    0030-Respect-font-stretch-if-set-together-with-font-style.patch
Patch10031:    0031-Support-transformations-in-pattern-texture-brushes-i.patch
Patch10032:    0032-Fix-highdpi-conversion-of-QTabletEvent-coordinates-o.patch
Patch10033:    0033-Revert-Fix-highdpi-conversion-of-QTabletEvent-coordi.patch
Patch10034:    0034-tst_QSslSocket-replace-an-old-certificate.patch
Patch10035:    0035-Optimize-mime-type-matching.patch
Patch10036:    0036-Fix-developer-build.patch
Patch10037:    0037-Reject-truncated-and-corrupt-ascii-pnm-images.patch
Patch10038:    0038-Increment-reference-count-when-restoring-reference.patch
Patch10039:    0039-QAbstractFileEngine-fix-UB-data-race-on-qt_file_engi.patch
Patch10040:    0040-Use-icon-themes-in-QPrintPreviewDialog-if-they-exist.patch
Patch10041:    0041-Don-t-shrink-a-column-when-it-spans-multiple-columns.patch
Patch10042:    0042-Don-t-let-text-table-cells-shrink-below-their-minimu.patch
Patch10043:    0043-Fix-qtdeclarative-baseline-test-failure-for-text-tab.patch
Patch10044:    0044-Dont-s-use-DTLS_MAX_VERSION-when-setting-SSL_CTX.patch
Patch10045:    0045-Diffie-Hellman-parameters-remove-useless-fix.patch
Patch10046:    0046-Don-t-use-a-deprecated-function-if-built-linked-with.patch
Patch10047:    0047-Adapt-for-q_EVP_PKEY_base_id-q_EVP_PKEY_get_base_id-.patch
Patch10048:    0048-QVarLengthArray-fix-UB-precondition-violation-in-ran.patch
Patch10049:    0049-tst_QIODevice-fix-UB-precondition-violation-in-Seque.patch
Patch10050:    0050-QString-fix-UB-pointer-arithmetic-on-nullptr-in-qLas.patch
Patch10051:    0051-QDateTime-fix-UB-signed-overflow-in-addDays.patch
Patch10052:    0052-QVariantAnimation-fix-UB-FP-0-0-in-interpolated-arg-.patch
Patch10053:    0053-QDateTime-Don-t-require-c-17.patch
Patch10054:    0054-Use-block-char-format-to-render-list-item-bullets-an.patch
Patch10055:    0055-QThread-fix-UB-invalid-enum-value-on-Private-Priorit.patch
Patch10056:    0056-Fix-pattern-type-matching.patch
Patch10057:    0057-QVarLengthArray-assert-that-the-range-passed-to-eras.patch
Patch10058:    0058-Use-qint64-to-replace-int-while-qt_transform_image_r.patch
Patch10059:    0059-QVarLengthArray-fix-insert-type-alias-mismatch-betwe.patch
Patch10060:    0060-xcb-avoid-to-use-invalid-pointers.patch
Patch10061:    0061-Add-missing-macOS-header-file-that-was-indirectly-in.patch
Patch10062:    0062-QVarLengthArray-fix-size-update-on-failed-append.patch
Patch10063:    0063-Restore-C-11-compatibility-after-e8b9f4c28d3ab5e960d.patch
Patch10064:    0064-Don-t-access-QObject-objectName-during-QThread-start.patch
Patch10065:    0065-QTzTimeZonePrivate-fix-UB-data-race-on-m_icu.patch
Patch10066:    0066-QPathEdge-Fix-array-initialization.patch
Patch10067:    0067-QVersionNumber-remove-pure-declaration-from-fromStri.patch
Patch10068:    0068-Make-indicator-application-hack-work-in-flatpak.patch
Patch10069:    0069-QDesktopServices-fix-UB-data-race-on-handlers.patch
Patch10070:    0070-Fix-integer-overflow-for-broken-QPainterPaths.patch
Patch10071:    0071-Respect-AT_SPI_BUS_ADDRESS-env-var-on-Linux.patch
Patch10072:    0072-QPkmHandler-make-const-what-it-never-modified.patch
Patch10073:    0073-xcb-fix-a-typo-for-WindowTypes.patch
Patch10074:    0074-Fix-UI-mismatch-when-QPrinter-setDuplex.patch
Patch10075:    0075-Close-leak-of-QOCIDateTime-object.patch
Patch10076:    0076-Make-QCursor-setPos-use-the-correct-screen.patch
Patch10077:    0077-Fix-crash-when-text-shaping-fails.patch
Patch10078:    0078-Check-for-null-driver-before-trying-to-exec.patch
Patch10079:    0079-Test-for-nullptr-before-dereferencing-the-screen.patch
Patch10080:    0080-Fix-check-for-malformed-input-when-decoding-translat.patch
Patch10081:    0081-qgenericunixservices-Consider-kde-open5-for-opening-.patch
Patch10082:    0082-QFreeList-replace-a-Q_ASSERT-false-with-Q_UNREACHABL.patch
Patch10083:    0083-QLabel-setPixmap-remove-the-no-op-self-masking.patch
Patch10084:    0084-Sync-QPrinter-orientation-when-PageSetup-Orientation.patch
Patch10085:    0085-Qt-namespace-fix-QT_Q_FLAG-declaration-for-Qt-MouseE.patch
Patch10086:    0086-Windows-use-QSystemLibrary-instead-of-LoadLibrary-di.patch
Patch10087:    0087-QCompleter-fix-crash-when-setting-the-same-model-twi.patch
Patch10088:    0088-QHostInfo-Unix-Fix-resolv-never-unloading.patch
Patch10089:    0089-QAction-Add-NOTIFY-changed-declaration-to-priority-p.patch
Patch10090:    0090-Update-bundled-zlib-to-version-1.2.12.patch
Patch10091:    0091-QPA-add-ButtonPressKeys-ThemeHint.patch
Patch10092:    0092-QGnomeTheme-Allow-Space-Return-Enter-and-Select-to-p.patch
Patch10093:    0093-QGnomeTheme-remove-unneeded-Q_D.patch
Patch10094:    0094-testlib-qasciikey-Add-keypad-navigation-keys.patch
Patch10095:    0095-Fix-compile-with-Qt5-Use-QString-mid-instead-of-QStr.patch
Patch10096:    0096-Fix-crash-on-serializing-default-constructed-QTimeZo.patch
Patch10097:    0097-Fix-a-QDBusConnection-crash-with-pending-calls-when-.patch
Patch10098:    0098-Fix-race-condition-in-futex-based-QSemaphore.patch
Patch10099:    0099-Prevent-crashing-when-FcFontList-fails.patch
Patch10100:    0100-Revert-a11y-Do-not-cache-classes-that-don-t-have-a-f.patch
Patch10101:    0101-QReadWriteLock-fix-data-race-in-dtor.patch
Patch10102:    0102-QReadWriteLock-fix-another-data-race-in-stateForWait.patch
Patch10103:    0103-QReadWriteLock-fix-data-race-in-stateForWaitConditio.patch
Patch10104:    0104-Fix-data-race-in-QObject-moveToThread.patch
Patch10105:    0105-QAbstractItemModel-fix-persistent-index-corruption-w.patch
Patch10106:    0106-QPushButton-fusion-style-don-t-ignore-QIcon-On-icon.patch
Patch10107:    0107-QCOMPARE-QVERIFY-fix-huge-pessimisation-in-QTestResu.patch
Patch10108:    0108-Fix-a-leak-of-fallback-dialog-helper-in-xdgdesktoppo.patch
Patch10109:    0109-Fix-data-race-in-QCoreApplicationPrivate-sendThrough.patch
Patch10110:    0110-Initialize-m_exclusive-in-QGtk3MenuItem-constructor.patch
Patch10111:    0111-CUPS-Add-support-for-accessible-IPP-printers.patch
Patch10112:    0112-Remove-unused-internal-flag-from-raster-painting-eng.patch
Patch10113:    0113-JSON-When-clearing-duplicate-object-entries-also-cle.patch
Patch10114:    0114-Unix-Correctly-update-options-pane-for-PDF-printer.patch
Patch10115:    0115-QDesktopServices-fix-ABA-problem-in-QOpenUrlHandlerR.patch
Patch10116:    0116-QShader-fix-memory-leak-in-detach.patch
Patch10117:    0117-QXmlStreamReader-fix-integer-truncation-qint64-int.patch
Patch10118:    0118-QAbstractItemDelegate-fix-rect-given-to-tooltip-hand.patch
Patch10119:    0119-Ignore-window-icon-in-XCB-when-its-size-exceeds-maxi.patch
Patch10120:    0120-QDBusMenuConnection-Close-open-D-Bus-connection.patch
Patch10121:    0121-xcb-fix-cursorTheme-update-issue.patch
Patch10122:    0122-QBuffer-fail-early-in-seek-beyond-QByteArray-s-max-c.patch
Patch10123:    0123-QBuffer-add-missing-limits-include.patch
Patch10124:    0124-Widgets-use-QPlatformTheme-ButtonPressKeys-for-press.patch
Patch10125:    0125-QAbstractButton-QComboBox-QGroupBox-static_cast-even.patch
Patch10126:    0126-QArrayData-fix-UB-via-reinterpret_cast-crash-with-FO.patch
Patch10127:    0127-Drop-call-to-setPlatformScreen-in-QHighDpiScaling-se.patch
Patch10128:    0128-Fix-QDBusInterface-crashing-with-empty-path-on-const.patch
Patch10129:    0129-qmake-Ignore-stderr-when-determining-the-macOS-SDK-v.patch
Patch10130:    0130-Add-QXdgDesktopPortalFileDialog-useNativeFileDialog.patch
Patch10131:    0131-Fallback-to-another-file-dialog-implementation-when-.patch
Patch10132:    0132-Fix-compile-with-MinGW-W64-9.0.0-Redefinition-of-str.patch
Patch10133:    0133-Fix-crash-in-QKmsDevice-createScreenForConnector.patch
Patch10134:    0134-QtConcurrent-ReduceKernel-fix-race-conditions.patch
Patch10135:    0135-Revert-CUPS-Add-support-for-accessible-IPP-printers.patch
Patch10136:    0136-xcb-Update-_NET_SUPPORTED-when-the-window-manager-ch.patch
Patch10137:    0137-Apply-CVE-2022-27404-27405-27406-qtbase-5.15.diff.patch
Patch10138:    0138-Don-t-access-QObjectPrivate-declarativeData-unguarde.patch
Patch10139:    0139-widgets-avoid-setting-X11BypassWindowManagerHint-in-.patch
Patch10140:    0140-3rdparty-zlib-backport-the-fix-to-CVE-2022-37434.patch
Patch10141:    0141-fix-AT_SPI_BUS_ADDRESS-actually-working.patch
Patch10142:    0142-Use-class-scope-to-refer-to-static-function.patch
Patch10143:    0143-add-color-picking-support-on-wayland-using-the-XDG-d.patch
Patch10144:    0144-3rdparty-apply-a-fix-to-the-last-zlib-fix.patch
Patch10145:    0145-Revert-xcb-implement-missing-bits-from-ICCCM-4.1.4-W.patch
Patch10146:    0146-Fix-possible-undefined-behavior-in-clear_thread_data.patch
Patch10147:    0147-QAIV-Reset-double-click-flag-in-mousePressEvent.patch
Patch10148:    0148-Revert-Remove-the-dead-code-for-blocking-methods-fro.patch
Patch10149:    0149-Fix-build-without-dbus-support.patch
Patch10150:    0150-Remove-XCB_EVENT_MASK_RESIZE_REDIRECT-for-Qt-WindowT.patch
Patch10151:    0151-network-Fix-typos-in-messages.patch
Patch10152:    0152-sqldrivers-Fix-typo-in-error-message.patch
Patch10153:    0153-Fix-typo-in-QAbstractItemModelTester.patch
Patch10154:    0154-Fix-typo-in-code.patch
Patch10155:    0155-QNetworkReplyFileImpl-Don-t-emit-finished-in-the-cto.patch
Patch10156:    0156-xcb-fix-the-build-of-native-painting.patch
Patch10157:    0157-eglfs-Fix-crash-when-painting-the-mouse-cursor-in-a-.patch
Patch10158:    0158-Assert-validity-in-QStringIterator-s-unchecked-metho.patch
Patch10159:    0159-QStringIterator-fix-UB-1-2-use-has-Next-Previous-mor.patch
Patch10160:    0160-QStringIterator-fix-UB-2-2-use-std-less-to-compare-p.patch
Patch10161:    0161-ANGLE-Fix-compilation-on-GCC-11.patch
Patch10162:    0162-Send-string-to-Atspi-DBus-interface-on-value-changed.patch
Patch10163:    0163-Send-string-to-Atspi-DBus-interface-on-name-descript.patch
Patch10164:    0164-offer-an-opt-out-of-automatic-xdg-desktop-portal-use.patch
# CVE-2022-25255 make QProcess not search for executables in CWD unless explicitly told so
Patch10165:    0165-QProcess-Unix-ensure-we-don-t-accidentally-execute-s.patch
Patch10166:    0166-Fix-infinite-loop-in-dash-stroker.patch
Patch10167:    0167-Revert-Android-Place-cursor-correctly-on-screen-when.patch
Patch10168:    0168-a11y-support-GetAccessibleId-for-at-spi.patch
Patch10169:    0169-xcb-Replace-qCWarning-by-qCDebug-in-QXcbConnection-p.patch
Patch10170:    0170-Handle-allocation-failure-in-QImage-rotate-90-180-27.patch
#Patch10171:    0171-Annotate-QMutex-with-TSAN-annotations.patch
Patch10172:    0172-Openssl-backend-reinsert-a-missing-C-in-qCDebug.patch
Patch10173:    0173-update-function-argument-of-SSL_CTX_set_options.patch
Patch10174:    0174-Send-accessible-focus-event-after-list-view-has-focu.patch
Patch10175:    0175-Scale-BMP-color-samples-with-periodic-bit-expansion.patch
Patch10176:    0176-QKeySequence-Add-missing-modifier-names.patch
# CVE-2023-34410
Patch10177:    0177-Reject-certificate-not-signed-by-a-configured-CA-certificate.patch
# CVE-2023-34410
Patch10178:    0178-Ssl_Copy-the-on-demand-cert-loading-bool-from-default-config.patch
Patch10179:    CVE-2023-51714.patch
Patch10180:    CVE-2024-25580.patch
Patch10181:    CVE-2024-39936.patch
#
# Testing patches

BuildRequires:  binutils >= 2.18
BuildRequires:  cmake-rpm-macros
BuildRequires:  cups-devel
BuildRequires:  mesa-common-devel
BuildRequires:  pam-devel
BuildRequires:  perl
BuildRequires:  python3
BuildRequires:  cmake(double-conversion)
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(dbus-1) >= 0.92
BuildRequires:  pkgconfig(expat)
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(egl)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-app-1.0)
# gtk+3.0 for qtgtk style
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(harfbuzz) >= 0.9.42
BuildRequires:  pkgconfig(libinput)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libmng)
BuildRequires:  pkgconfig(libpcre2-16)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libproxy-1.0)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(libxslt)
BuildRequires:  pkgconfig(libzstd)
BuildRequires:  pkgconfig(md4c)
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  pkgconfig(openssl) >= 1.1
BuildRequires:  pkgconfig(readline)
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(tslib)
#BuildRequires:  pkgconfig(vg)
BuildRequires:  pkgconfig(vulkan)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcb-image)
BuildRequires:  pkgconfig(xcb-icccm)
BuildRequires:  pkgconfig(xcb-keysyms)
BuildRequires:  pkgconfig(xcb-renderutil)
BuildRequires:  pkgconfig(xcb-xkb) >= 1.10
BuildRequires:  pkgconfig(xcb-util)
BuildRequires:  pkgconfig(xkbcommon) >= 0.4.1
BuildRequires:  pkgconfig(xkbcommon-x11) >= 0.4.1
BuildRequires:  pkgconfig(xtst)
BuildRequires:  pkgconfig(zlib)

%description
Qt is a GUI software toolkit which simplifies the task of writing and
maintaining GUI (Graphical User Interface) applications for the X
Window System. Qt is written in C++ and is fully object-oriented.

This package contains the shared library needed to run Qt
applications, as well as the README files for Qt.

#------------------------------------------------------------------------------

%package common
Summary:        Qt%{qtmajor} Config and Language Files
Group:          Development/KDE and Qt
Provides:       qt5-common = %{version}-%{release}
Obsoletes:      qt5-common < 5.9.1-1
#TODO Mga6: Split qttranslations5 into subpackages
%if ! 0%{?build_bootstrap}
Requires:       qttranslations5
%endif
# (doktor5000) glxinfo binary required by script qt5-check-opengl2.sh
Requires:       glxinfo

%description common
Qt is a GUI software toolkit which simplifies the task of writing and
maintaining GUI (Graphical User Interface) applications for the X
Window System. Qt is written in C++ and is fully object-oriented.

Configuration and language files for Qt%{qtmajor}.

%files common
%attr(0755,root,root) %{_sysconfdir}/profile.d/*
%dir %{_sysconfdir}/xdg/QtProject
%dir %{_qt5_bindir}
%{_qt5_bindir}/syncqt.pl
%dir %{_qt5_plugindir}
%{_qt5_plugindir}/generic/
%{_qt5_plugindir}/bearer/
%dir %{_qt5_docdir}
%{_qt5_docdir}/global/
%{_qt5_docdir}/config/
%dir %{_qt5_datadir}
%{_qt5_datadir}/qtlogging.ini
%{_sysconfdir}/X11/xinit.d/qt5-check-opengl2.sh

#-------------------------------------------------------------------

%package -n %{name}-common-devel
Summary:        Development files for the Qt%{qtmajor} GUI toolkit
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Provides:       qmake = %{version}-%{release}
Provides:       qmake-qt5 = %{version}-%{release}

%description -n %{name}-common-devel
Common files needed to build application based on Qt5.

%post -n %{name}-common-devel
update-alternatives --install %{_bindir}/qmake qmake %{_qt5_bindir}/qmake 20

%postun -n %{name}-common-devel
if ! [ -e %{_qt5_bindir}/qmake ]; then
  update-alternatives --remove qmake %{_qt5_bindir}/qmake
fi

%files -n %{name}-common-devel
%{_bindir}/fixqt4headers.pl
%{_bindir}/moc*
%{_bindir}/qdbuscpp2xml*
%{_bindir}/qdbusxml2cpp*
%{_bindir}/qlalr
%{_bindir}/qmake*
%{_bindir}/qvkgen
%{_bindir}/rcc*
%{_bindir}/syncqt*
%{_bindir}/tracegen
%{_bindir}/uic*
%{_rpmmacrodir}/macros.qt5
%{_qt5_bindir}/fixqt4headers.pl
%{_qt5_bindir}/moc*
%{_qt5_bindir}/qdbusxml2cpp*
%{_qt5_bindir}/qdbuscpp2xml*
%{_qt5_bindir}/qlalr
%{_qt5_bindir}/qmake*
%{_qt5_bindir}/qvkgen
%{_qt5_bindir}/rcc*
%{_qt5_bindir}/tracegen
%{_qt5_bindir}/uic*
%{_qt5_archdatadir}/mkspecs/
%dir %{_qt5_libdir}/cmake
%dir %{_qt5_libdir}/metatypes
%if "%{_qt5_includedir}" != "%{_includedir}"
%dir %{_qt5_includedir}
%endif

#------------------------------------------------------------------------------

%package examples
Summary:        Example programs made with Qt%{qtmajor}
Group:          Documentation
Provides:       qt5-examples = %{version}-%{release}
Obsoletes:      qt5-examples < 5.9.1-1

%description examples
Example programs made with Qt%{qtmajor}.

%files examples
%{_qt5_examplesdir}/

#------------------------------------------------------------------------------

%if 0%{?build_docs}
%package doc
Summary:        QtBase%{qtmajor} APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools5-assistant
Recommends:     qttools5-assistant

%description doc
Documentation for APIs and tools in QtBase5 package for use with
Qt Assistant.

%files doc
%{_qt5_docdir}/*.qch
%{_qt5_docdir}/qmake/
%{_qt5_docdir}/qtconcurrent/
%{_qt5_docdir}/qtcore/
%{_qt5_docdir}/qtdbus/
%{_qt5_docdir}/qtgui/
%{_qt5_docdir}/qtnetwork/
%{_qt5_docdir}/qtopengl/
%{_qt5_docdir}/qtplatformheaders/
%{_qt5_docdir}/qtprintsupport/
%{_qt5_docdir}/qtsql/
%{_qt5_docdir}/qttestlib/
%{_qt5_docdir}/qtwidgets/
%{_qt5_docdir}/qtxml/
%endif

#------------------------------------------------------------------------------
# CORE QT LIBRARIES
#------------------------------------------------------------------------------

%package -n %{libqtcore}
Summary:        Qt%{qtmajor} Core Library
Group:          System/Libraries
Requires(pre):  %{name}-common = %{version}

%description -n %{libqtcore}
Qt%{qtmajor} Component Library.

The QtCore module contains core non-GUI functionality.

%files -n %{libqtcore}
%{_qt5_libdir}/libQt5Core.so.%{qtmajor}{,.*}
# (doktor5000) provide SSE2-enabled library in separate subdir as recommended by upstream
# https://bugreports.qt-project.org/browse/QTBUG-35430
%ifarch %{ix86}
%{_qt5_libdir}/sse2/libQt5Core.so.%{qtmajor}{,.*}
%endif

#------------------------------------------------------------------------------

%package -n %{libqtcore_d}
Summary:        Devel files needed to build apps based on QtCore
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Requires:       %{libqtcore} = %{version}
Provides:       libqtcore5-devel = %{version}
Provides:       libqt5core-devel = %{version}
Provides:       qt5core-devel = %{version}
Provides:       qtcore5-devel = %{version}

Provides:       qt5core-private-devel = %{version}
Provides:       qtcore5-private-devel = %{version}

Provides:       %{_lib}qt5core-private-devel = %{version}-%{release}

%description -n %{libqtcore_d}
Devel files needed to build apps based on QtCore.

%files -n %{libqtcore_d}
%{_qt5_libdir}/libQt5Core.prl
%{_qt5_libdir}/libQt5Core.so
%{_qt5_libdir}/pkgconfig/Qt5Core.pc
%{_qt5_libdir}/cmake/Qt5Core/
%{_qt5_libdir}/cmake/Qt5/Qt5Config.cmake
%{_qt5_libdir}/cmake/Qt5/Qt5ConfigVersion.cmake
%{_qt5_libdir}/cmake/Qt5/Qt5ModuleLocation.cmake
%{_qt5_libdir}/metatypes/qt5core_metatypes.json
%{_qt5_includedir}/QtCore/

#------------------------------------------------------------------------------

%package -n %{libqtconcurrent}
Summary:        Qt%{qtmajor} Concurrent Library
Group:          System/Libraries
Requires(pre):  %{name}-common = %{version}

%description -n %{libqtconcurrent}
Qt%{qtmajor} Concurrent Library.

%files -n %{libqtconcurrent}
%{_qt5_libdir}/libQt5Concurrent.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtconcurrent_d}
Summary:        Devel files needed to build apps based on QtConcurrent
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Requires:       %{libqtconcurrent} = %{version}
Provides:       libqtconcurrent5-devel = %{version}
Provides:       libqt5concurrent-devel = %{version}
Provides:       qt5concurrent-devel = %{version}
Provides:       qtconcurrent5-devel = %{version}

%description -n %{libqtconcurrent_d}
Devel files needed to build apps based on QtConcurrent.

%files -n %{libqtconcurrent_d}
%{_qt5_libdir}/libQt5Concurrent.so
%{_qt5_libdir}/libQt5Concurrent.prl
%{_qt5_libdir}/pkgconfig/Qt5Concurrent.pc
%{_qt5_libdir}/cmake/Qt5Concurrent/
%{_qt5_includedir}/QtConcurrent/

#------------------------------------------------------------------------------

%package -n %{libqtdbus}
Summary:        Qt%{qtmajor} DBus Library
Group:          System/Libraries
Requires(pre):  %{name}-common = %{version}

%description -n %{libqtdbus}
Qt%{qtmajor} DBus Library.

%files -n %{libqtdbus}
%{_qt5_libdir}/libQt5DBus.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtdbus_d}
Summary:        Devel files needed to build apps based on QtDBus
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Requires:       %{libqtdbus} = %{version}
Provides:       libqtdbus5-devel = %{version}
Provides:       libqt5dbus-devel = %{version}
Provides:       qt5dbus-devel = %{version}
Provides:       qtdbus5-devel = %{version}

Provides:       qt5dbus-private-devel = %{version}
Provides:       qtdbus5-private-devel = %{version}

Provides:       %{_lib}qt5dbus-private-devel = %{version}-%{release}

%description -n %{libqtdbus_d}
Devel files needed to build apps based on QtDBus.

%files -n %{libqtdbus_d}
%{_qt5_libdir}/libQt5DBus.prl
%{_qt5_libdir}/libQt5DBus.so
%{_qt5_libdir}/pkgconfig/Qt5DBus.pc
%{_qt5_libdir}/cmake/Qt5DBus/
%{_qt5_includedir}/QtDBus/

#------------------------------------------------------------------------------

%package -n %{libqteglfsdeviceintegration}
Summary:        Qt%{qtmajor} EglFSDeviceIntegrations Library
Group:          System/Libraries
Requires(pre):  %{name}-common = %{version}

Provides:       %{_lib}qt5egldeviceintegration5 = %{version}-%{release}


%description -n %{libqteglfsdeviceintegration}
Qt%{qtmajor} EglFSDeviceIntegrations Library.

%files -n %{libqteglfsdeviceintegration}
%{_qt5_libdir}/libQt5EglFSDeviceIntegration.so.%{qtmajor}{,.*}
%{_qt5_plugindir}/egldeviceintegrations/

#------------------------------------------------------------------------------

%package -n %{libqteglfsdeviceintegration_d}
Summary:        Devel files needed to build apps based on EglFSDeviceIntegrations
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Requires:       %{libqteglfsdeviceintegration} = %{version}
Provides:       libqteglfsdeviceintegration5-devel = %{version}
Provides:       libqt5eglfsdeviceintegration-devel = %{version}
Provides:       qteglfsdeviceintegration5-devel = %{version}
Provides:       qt5eglfsdeviceintegration-devel = %{version}

%description -n %{libqteglfsdeviceintegration_d}
Devel files needed to build apps based on QtEglFSDeviceIntegrations.

%files -n %{libqteglfsdeviceintegration_d}
%{_qt5_includedir}/QtEglFSDeviceIntegration/
%{_qt5_libdir}/libQt5EglFSDeviceIntegration.prl
%{_qt5_libdir}/libQt5EglFSDeviceIntegration.so
%{_qt5_libdir}/cmake/Qt5EglFSDeviceIntegration/

#------------------------------------------------------------------------------

%package -n %{libqteglfskmssupport}
Summary:        Qt%{qtmajor} EglFsKmsSupport Library
Group:          System/Libraries
Requires(pre):  %{name}-common = %{version}

%description -n %{libqteglfskmssupport}
Qt%{qtmajor} EglFsKmsSupport Library.

%files -n %{libqteglfskmssupport}
%{_qt5_libdir}/libQt5EglFsKmsSupport.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqteglfskmssupport_d}
Summary:        Devel files needed to build apps based on EglFsKmsSupport
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Requires:       %{libqteglfskmssupport} = %{version}
Provides:       libqteglfskmssupport5-devel = %{version}
Provides:       libqt5eglfskmssupport-devel = %{version}
Provides:       qteglfskmssupport5-devel = %{version}
Provides:       qt5eglfskmssupport-devel = %{version}

%description -n %{libqteglfskmssupport_d}
Devel files needed to build apps based on QtEglFsKmsSupport.

%files -n %{libqteglfskmssupport_d}
%{_qt5_libdir}/libQt5EglFsKmsSupport.prl
%{_qt5_libdir}/libQt5EglFsKmsSupport.so
%{_qt5_libdir}/cmake/Qt5EglFsKmsSupport/

#------------------------------------------------------------------------------

%package -n %{libqtgui}
Summary:        Qt%{qtmajor} GUI Library
Group:          System/Libraries
Requires(pre):  %{name}-common = %{version}

%description -n %{libqtgui}
Qt%{qtmajor} Component Library.

The QtGui module extends QtCore with GUI functionality.

%files -n %{libqtgui}
%{_qt5_libdir}/libQt5Gui.so.%{qtmajor}{,.*}
# (doktor5000) provide SSE2-enabled library in separate subdir as recommended by upstream
# https://bugreports.qt-project.org/browse/QTBUG-35430
%ifarch %{ix86}
%{_qt5_libdir}/sse2/libQt5Gui.so.%{qtmajor}{,.*}
%endif
%{_qt5_plugindir}/imageformats/
%{_qt5_plugindir}/platforminputcontexts/
%{_qt5_plugindir}/platformthemes/
%{_qt5_plugindir}/platforms/

#------------------------------------------------------------------------------

%package -n %{libqtgui_d}
Summary:        Devel files needed to build apps based on QtGui
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common = %{version}-%{release}
Requires:       %{name}-common-devel = %{version}-%{release}
#(nl) see : https://bugreports.qt-project.org/browse/QTBUG-39859
Requires:       pkgconfig(egl)
Requires:       pkgconfig(vulkan)
Requires:       %{libqtgui} = %{version}
# referenced by Qt5Gui cmake files
Requires:       %{libqtxcbqpa_d} = %{version}-%{release}
Requires:       %{libqteglfsdeviceintegration_d} = %{version}-%{release}
%if ! 0%{?build_bootstrap}
Requires:       qtwayland5
%endif

Provides:       libqtgui5-devel = %{version}
Provides:       libqt5gui-devel = %{version}
Provides:       qtgui5-devel = %{version}
Provides:       qt5gui-devel = %{version}

Provides:       %{_lib}qt5gui-private-devel = %{version}-%{release}

Provides:       qtgui5-private-devel = %{version}
Provides:       qt5gui-private-devel = %{version}

%description -n %{libqtgui_d}
Devel files needed to build apps based on QtGui.

%files -n %{libqtgui_d}
%{_qt5_libdir}/libQt5Gui.prl
%{_qt5_libdir}/libQt5Gui.so
%{_qt5_libdir}/pkgconfig/Qt5Gui.pc
%{_qt5_libdir}/cmake/Qt5Gui/
%{_qt5_libdir}/metatypes/qt5gui_metatypes.json
%{_qt5_includedir}/QtGui/

#------------------------------------------------------------------------------

%package -n %{libqtnetwork}
Summary:        Qt%{qtmajor} Network Library
Group:          System/Libraries
Requires(pre):  %{name}-common = %{version}

%description -n %{libqtnetwork}
Qt%{qtmajor} Component Library.

The QtNetwork module provides classes to make network programming easier
and portable.

%files -n %{libqtnetwork}
%{_qt5_libdir}/libQt5Network.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtnetwork_d}
Summary:        Devel files needed to build apps based on QtNetwork
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Requires:       %{libqtnetwork} = %{version}
Requires:       pkgconfig(openssl) >= 1.1
Provides:       libqtnetwork5-devel = %{version}
Provides:       libqt5network-devel = %{version}
Provides:       qtnetwork5-devel = %{version}
Provides:       qt5network-devel = %{version}

Provides:       %{_lib}qt5network-private-devel = %{version}-%{release}

Provides:       qtnetwork5-private-devel = %{version}
Provides:       qt5network-private-devel = %{version}

%description -n %{libqtnetwork_d}
Devel files needed to build apps based on QtNetwork.

%files -n %{libqtnetwork_d}
%{_qt5_libdir}/libQt5Network.prl
%{_qt5_libdir}/libQt5Network.so
%{_qt5_libdir}/pkgconfig/Qt5Network.pc
%{_qt5_libdir}/cmake/Qt5Network/
%{_qt5_includedir}/QtNetwork/

#------------------------------------------------------------------------------

%package -n %{libqtopengl}
Summary:        Qt%{qtmajor} OpenGL Library
Group:          System/Libraries
Requires(pre):  %{name}-common = %{version}

%description -n %{libqtopengl}
Qt%{qtmajor} Component Library.

The QtOpenGL module offers classes that make it easy to use OpenGL in
Qt applications.

%files -n %{libqtopengl}
%{_qt5_libdir}/libQt5OpenGL.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtopengl_d}
Summary:        Devel files needed to build apps based on QtOpenGL
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Requires:       %{libqtopengl} = %{version}
Provides:       libqtopengl5-devel = %{version}
Provides:       libqt5opengl-devel = %{version}
Provides:       qtopengl5-devel = %{version}
Provides:       qt5opengl-devel = %{version}

Provides:       %{_lib}qt5opengl-private-devel = %{version}-%{release}

Provides:       qtopengl5-private-devel = %{version}
Provides:       qt5opengl-private-devel = %{version}

%description -n %{libqtopengl_d}
Devel files needed to build apps based on QtOpenGL.

%files -n %{libqtopengl_d}
%{_qt5_libdir}/libQt5OpenGL.prl
%{_qt5_libdir}/libQt5OpenGL.so
%{_qt5_libdir}/libQt5OpenGLExtensions.a
%{_qt5_libdir}/libQt5OpenGLExtensions.prl
%{_qt5_libdir}/pkgconfig/Qt5OpenGLExtensions.pc
%{_qt5_libdir}/pkgconfig/Qt5OpenGL.pc
%{_qt5_libdir}/cmake/Qt5OpenGL/
%{_qt5_libdir}/cmake/Qt5OpenGLExtensions/
%{_qt5_includedir}/QtOpenGL/
%{_qt5_includedir}/QtOpenGLExtensions/

#------------------------------------------------------------------------------

%package -n %{libqtplatformsupport_d}
Summary:        Devel files needed to build apps based on QtPlatformSupport
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Provides:       libqtplatformsupport5-devel = %{version}
Provides:       libqt5platformsupport-devel = %{version}
Provides:       qtplatformsupport5-devel = %{version}
Provides:       qt5platformsupport-devel = %{version}
# For compatibility
Provides:       %{_lib}qt5platform-private-devel = %{version}-%{release}

Provides:       qtplatformsupport5-private-devel = %{version}
Provides:       qt5platformsupport-private-devel = %{version}

%description -n %{libqtplatformsupport_d}
Devel files needed to build iapps based on QtPlatformSupport.

%files -n %{libqtplatformsupport_d}
# Header only library
%{_qt5_includedir}/QtPlatformHeaders/

#------------------------------------------------------------------------------

%package -n %{libqtprintsupport}
Summary:        Qt%{qtmajor} PrintSupport Library
Group:          System/Libraries
Requires(pre):  %{name}-common = %{version}

%description -n %{libqtprintsupport}
Qt%{qtmajor} PrintSupport Library.

%files -n %{libqtprintsupport}
%{_qt5_libdir}/libQt5PrintSupport.so.%{qtmajor}{,.*}
%{_qt5_plugindir}/printsupport/

#------------------------------------------------------------------------------

%package -n %{libqtprintsupport_d}
Summary:        Devel files needed to build apps based on QtPrintSupport
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Requires:       %{libqtprintsupport} = %{version}
Provides:       libqtprintsupport5-devel = %{version}
Provides:       libqt5printsupport-devel = %{version}
Provides:       qtprintsupport5-devel = %{version}
Provides:       qt5printsupport-devel = %{version}

Provides:       %{_lib}qt5printsupport-private-devel = %{version}-%{release}

Provides:       qtprintsupport5-private-devel = %{version}
Provides:       qt5printsupport-private-devel = %{version}

%description -n %{libqtprintsupport_d}
Devel files needed to build apps based on QtPrintSupport.

%files -n %{libqtprintsupport_d}
%{_qt5_libdir}/libQt5PrintSupport.so
%{_qt5_libdir}/libQt5PrintSupport.prl
%{_qt5_libdir}/pkgconfig/Qt5PrintSupport.pc
%{_qt5_libdir}/cmake/Qt5PrintSupport/
%{_qt5_includedir}/QtPrintSupport/

#------------------------------------------------------------------------------

%package -n %{libqtsql}
Summary:        Qt%{qtmajor} SQL Library
Group:          System/Libraries
Requires(pre):  %{name}-common = %{version}
%if ! %without sqlite
Requires:       %{_lib}qt5-database-plugin-sqlite = %{version}
%endif
%if ! %without ibase
Requires:       %{_lib}qt5-database-plugin-ibase = %{version}
%endif

%description -n %{libqtsql}
Qt%{qtmajor} SQL Library.

%files -n %{libqtsql}
%{_qt5_libdir}/libQt5Sql.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtsql_d}
Summary:        Devel files needed to build apps based on QtSql
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Requires:       %{libqtsql} = %{version}
%if ! %without odbc
Requires:       qtbase5-database-plugin-odbc
%endif
%if ! %without tds
Requires:       qtbase5-database-plugin-tds
%endif
%if ! %without mysql
Requires:       qtbase5-database-plugin-mysql
%endif
%if ! %without postgres
Requires:       qtbase5-database-plugin-pgsql
%endif
%if ! %without sqlite
Requires:       qtbase5-database-plugin-sqlite
%endif
%if ! %without ibase
Requires:       qtbase5-database-plugin-ibase
%endif
Provides:       libqtsql5-devel = %{version}
Provides:       libqt5sql-devel = %{version}
Provides:       qt5sql-devel = %{version}
Provides:       qtsql5-devel = %{version}

Provides:       libqtsql5-private-devel = %{version}
Provides:       libqt5sql-private-devel = %{version}
Provides:       qt5sql-private-devel = %{version}
Provides:       qtsql5-private-devel = %{version}

Provides:       %{_lib}qt5sql-private-devel = %{version}-%{release}

%description -n %{libqtsql_d}
Devel files needed to build apps based on QtSql.

%files -n %{libqtsql_d}
%{_qt5_libdir}/libQt5Sql.prl
%{_qt5_libdir}/libQt5Sql.so
%{_qt5_libdir}/pkgconfig/Qt5Sql.pc
%{_qt5_libdir}/cmake/Qt5Sql/
%{_qt5_includedir}/QtSql/

#------------------------------------------------------------------------------

%package -n %{libqttest}
Summary:        Qt%{qtmajor} Test Library
Group:          System/Libraries
Requires(pre):  %{name}-common = %{version}

%description -n %{libqttest}
Qt%{qtmajor} Component Library.

The QtTest module provides classes for unit testing Qt applications and
libraries.

%files -n %{libqttest}
%{_qt5_libdir}/libQt5Test.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqttest_d}
Summary:        Devel files needed to build apps based on QtTest
Group:          Development/KDE and Qt
Requires(pre): %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Requires:       %{libqttest} = %{version}
Provides:       libqttest5-devel = %{version}
Provides:       libqt5test-devel = %{version}
Provides:       qttest5-devel = %{version}
Provides:       qt5test-devel = %{version}

Provides:       %{_lib}qt5test-private-devel = %{version}-%{release}

Provides:       qttest5-private-devel = %{version}
Provides:       qt5test-private-devel = %{version}

Requires:       qtwidgets5-devel = %{version}-%{release}

%description -n %{libqttest_d}
Devel files needed to build apps based on QtTest.

%files -n %{libqttest_d}
%{_qt5_libdir}/libQt5Test.prl
%{_qt5_libdir}/libQt5Test.so
%{_qt5_libdir}/pkgconfig/Qt5Test.pc
%{_qt5_libdir}/cmake/Qt5Test/
%{_qt5_includedir}/QtTest/

#------------------------------------------------------------------------------

%package -n %{libqtwidgets}
Summary:        Qt%{qtmajor} Widgets Library
Group:          System/Libraries
Requires(pre):  %{name}-common = %{version}

%description -n %{libqtwidgets}
Qt%{qtmajor} Widgets Library.

%files -n %{libqtwidgets}
%{_qt5_libdir}/libQt5Widgets.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtwidgets_d}
Summary:        Devel files needed to build apps based on QtWidgets
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Requires:       %{libqtwidgets} = %{version}
Provides:       libqtwidgets5-devel = %{version}
Provides:       libqt5widgets-devel = %{version}
Provides:       qtwidgets5-devel = %{version}
Provides:       qt5widgets-devel = %{version}

Provides:       %{_lib}qt5widgets-private-devel = %{version}-%{release}

Provides:       qtwidgets5-private-devel = %{version}
Provides:       qt5widgets-private-devel = %{version}

%description -n %{libqtwidgets_d}
Devel files needed to build apps based on QtWidgets.

%files -n %{libqtwidgets_d}
%{_qt5_libdir}/libQt5Widgets.so
%{_qt5_libdir}/libQt5Widgets.prl
%{_qt5_libdir}/pkgconfig/Qt5Widgets.pc
%{_qt5_libdir}/cmake/Qt5Widgets/
%{_qt5_libdir}/metatypes/qt5widgets_metatypes.json
%{_qt5_includedir}/QtWidgets/

#------------------------------------------------------------------------------

%package -n %{libqtxcbqpa}
Summary:        Qt%{qtmajor} XcbQpa Library
Group:          System/Libraries
Requires(pre):  %{name}-common = %{version}

%description -n %{libqtxcbqpa}
Qt%{qtmajor} XcbQpa Library.

%files -n %{libqtxcbqpa}
%{_qt5_libdir}/libQt5XcbQpa.so.%{qtmajor}{,.*}
%{_qt5_plugindir}/xcbglintegrations/

#------------------------------------------------------------------------------

%package -n %{libqtxcbqpa_d}
Summary:        Devel files needed to build apps based on QtXcbQpa
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Requires:       %{libqtxcbqpa} = %{version}
Provides:       libqtxcbqpa5-devel = %{version}
Provides:       libqt5xcbqpa-devel = %{version}
Provides:       qtxcbqpa5-devel = %{version}
Provides:       qt5xcbqpa-devel = %{version}

%description -n %{libqtxcbqpa_d}
Devel files needed to build apps based on QtXcbQpa.

%files -n %{libqtxcbqpa_d}
%{_qt5_libdir}/libQt5XcbQpa.prl
%{_qt5_libdir}/libQt5XcbQpa.so
%{_qt5_libdir}/cmake/Qt5XcbQpa/

#------------------------------------------------------------------------------

%package -n %{libqtxml}
Summary:        Qt%{qtmajor} XML Library
Group:          System/Libraries
Requires(pre):  %{name}-common = %{version}

%description -n %{libqtxml}
Qt%{qtmajor} Component Library.

The QtXml module provides a stream reader and writer for XML documents,
and C++ implementations of SAX and DOM.

%files -n %{libqtxml}
%{_qt5_libdir}/libQt5Xml.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtxml_d}
Summary:        Devel files needed to build apps based on QtXml
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Requires:       %{libqtxml} = %{version}
Provides:       libqtxml5-devel = %{version}
Provides:       libqt5xml-devel = %{version}
Provides:       qtxml5-devel = %{version}
Provides:       qt5xml-devel = %{version}

%description -n %{libqtxml_d}
Devel files needed to build apps based on QtXml.

%files -n %{libqtxml_d}
%{_qt5_libdir}/libQt5Xml.prl
%{_qt5_libdir}/libQt5Xml.so
%{_qt5_libdir}/pkgconfig/Qt5Xml.pc
%{_qt5_libdir}/cmake/Qt5Xml/
%{_qt5_includedir}/QtXml/

#------------------------------------------------------------------------------

%package -n %{libqtdevel}
Summary:        Development files for the Qt%{qtmajor} GUI toolkit
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Provides:       qt5-devel = %{version}-%{release}
Provides:       qtbase5-devel = %{version}-%{release}
Provides:       libqtbase5-devel = %{version}-%{release}
Provides:       libqt5-devel = %{version}-%{release}

Requires:       %{name}-common-devel = %{version}-%{release}
Requires:       %{libqtcore_d} = %{version}-%{release}
Requires:       %{libqtconcurrent_d} = %{version}-%{release}
Requires:       %{libqtdbus_d} = %{version}-%{release}
Requires:       %{libqteglfsdeviceintegration_d} = %{version}-%{release}
Requires:       %{libqteglfskmssupport_d} = %{version}-%{release}
Requires:       %{libqtgui_d} = %{version}-%{release}
Requires:       %{libqtnetwork_d} = %{version}-%{release}
Requires:       %{libqtopengl_d} = %{version}-%{release}
Requires:       %{libqtprintsupport_d} = %{version}-%{release}
Requires:       %{libqtsql_d} = %{version}-%{release}
Requires:       %{libqttest_d} = %{version}-%{release}
Requires:       %{libqtwidgets_d} = %{version}-%{release}
Requires:       %{libqtxml_d} = %{version}-%{release}
Requires:       %{libqtxcbqpa_d} = %{version}-%{release}

%description -n %{libqtdevel}
The %{libqtdevel} package contains the files necessary to develop
applications using the Qt GUI toolkit: the header files, the Qt
meta object compiler, and the static libraries.  See the address
https://qt-project.org/ for more information about Qt%{qtmajor}.

%files -n %{libqtdevel}

#------------------------------------------------------------------------------
# SUPPORT STATIC LIBRARIES
#------------------------------------------------------------------------------

%package -n %{libqtaccessibilitysupport_d}
Summary:        Devel files needed to build apps based on AccessibilitySupport
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Provides:       libqtaccessibilitysupport5-devel = %{version}
Provides:       libqt5accessibilitysupport-devel = %{version}
Provides:       qtaccessibilitysupport5-devel = %{version}
Provides:       qt5accessibilitysupport-devel = %{version}

%description -n %{libqtaccessibilitysupport_d}
Devel files needed to build apps based on QtAccessibilitySupport.

%files -n %{libqtaccessibilitysupport_d}
%{_qt5_libdir}/libQt5AccessibilitySupport.a
%{_qt5_libdir}/libQt5AccessibilitySupport.prl
%{_qt5_libdir}/cmake/Qt5AccessibilitySupport/
%{_qt5_includedir}/QtAccessibilitySupport/

#------------------------------------------------------------------------------

%package -n %{libqtlinuxaccessibilitysupport_d}
Summary:        Devel files needed to build apps based on AccessibilitySupport
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Provides:       libqtlinuxaccessibilitysupport5-devel = %{version}
Provides:       libqt5linuxaccessibilitysupport-devel = %{version}
Provides:       qtlinuxaccessibilitysupport5-devel = %{version}
Provides:       qt5linuxaccessibilitysupport-devel = %{version}

%description -n %{libqtlinuxaccessibilitysupport_d}
Devel files needed to build apps based on QtAccessibilitySupport.

%files -n %{libqtlinuxaccessibilitysupport_d}
%{_qt5_libdir}/libQt5LinuxAccessibilitySupport.a
%{_qt5_libdir}/libQt5LinuxAccessibilitySupport.prl
%{_qt5_libdir}/cmake/Qt5LinuxAccessibilitySupport/
%{_qt5_includedir}/QtLinuxAccessibilitySupport/

#------------------------------------------------------------------------------

%package -n %{libqtbootstrap_d}
Summary:        Devel files needed to build apps based on QtBootstrap
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Provides:       libqtbootstrap5-devel = %{version}

Provides:       libqtbootstrap5-static-devel = %{version}
Provides:       qtbootstrap5-static-devel = %{version}

%description -n %{libqtbootstrap_d}
Devel files needed to build apps based on QtBootstrap.

%files -n %{libqtbootstrap_d}
%{_qt5_libdir}/libQt5Bootstrap.a
%{_qt5_libdir}/libQt5Bootstrap.prl

#------------------------------------------------------------------------------

%package -n %{libqtdevicediscoverysupport_d}
Summary:        Devel files needed to build apps based on DeviceDiscoverySupport
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Provides:       libqtdevicediscoverysupport5-devel = %{version}
Provides:       libqt5devicediscoverysupport-devel = %{version}
Provides:       qtdevicediscoverysupport5-devel = %{version}
Provides:       qt5devicediscoverysupport-devel = %{version}

%description -n %{libqtdevicediscoverysupport_d}
Devel files needed to build apps based on QtDeviceDiscoverySupport.

%files -n %{libqtdevicediscoverysupport_d}
%{_qt5_libdir}/libQt5DeviceDiscoverySupport.a
%{_qt5_libdir}/libQt5DeviceDiscoverySupport.prl
%{_qt5_libdir}/cmake/Qt5DeviceDiscoverySupport/
%{_qt5_includedir}/QtDeviceDiscoverySupport/

#------------------------------------------------------------------------------

%package -n %{libqteglsupport_d}
Summary:        Devel files needed to build apps based on EglSupport
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Provides:       libqteglsupport5-devel = %{version}
Provides:       libqt5eglsupport-devel = %{version}
Provides:       qteglsupport5-devel = %{version}
Provides:       qt5eglsupport-devel = %{version}

%description -n %{libqteglsupport_d}
Devel files needed to build apps based on QtEglSupport.

%files -n %{libqteglsupport_d}
%{_qt5_libdir}/libQt5EglSupport.a
%{_qt5_libdir}/libQt5EglSupport.prl
%{_qt5_libdir}/cmake/Qt5EglSupport/
%{_qt5_includedir}/QtEglSupport/

#------------------------------------------------------------------------------

%package -n %{libqteventdispatchersupport_d}
Summary:        Devel files needed to build apps based on EventDispatcherSupport
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Provides:       libqteventdispatchersupport5-devel = %{version}
Provides:       libqt5eventdispatchersupport-devel = %{version}
Provides:       qteventdispatchersupport5-devel = %{version}
Provides:       qt5eventdispatchersupport-devel = %{version}

%description -n %{libqteventdispatchersupport_d}
Devel files needed to build apps based on QtEventDispatcherSupport.

%files -n %{libqteventdispatchersupport_d}
%{_qt5_libdir}/libQt5EventDispatcherSupport.a
%{_qt5_libdir}/libQt5EventDispatcherSupport.prl
%{_qt5_libdir}/cmake/Qt5EventDispatcherSupport/
%{_qt5_includedir}/QtEventDispatcherSupport/

#------------------------------------------------------------------------------

%package -n %{libqtfbsupport_d}
Summary:        Devel files needed to build apps based on FbSupport
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Provides:       libqtfbsupport5-devel = %{version}
Provides:       libqt5fbsupport-devel = %{version}
Provides:       qtfbsupport5-devel = %{version}
Provides:       qt5fbsupport-devel = %{version}

%description -n %{libqtfbsupport_d}
Devel files needed to build apps based on QtFbSupport.

%files -n %{libqtfbsupport_d}
%{_qt5_libdir}/libQt5FbSupport.a
%{_qt5_libdir}/libQt5FbSupport.prl
%{_qt5_libdir}/cmake/Qt5FbSupport/
%{_qt5_includedir}/QtFbSupport/

#------------------------------------------------------------------------------

%package -n %{libqtfontdatabasesupport_d}
Summary:        Devel files needed to build apps based on FontDatabaseSupport
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Provides:       libqtfontdatabasesupport5-devel = %{version}
Provides:       libqt5fontdatabasesupport-devel = %{version}
Provides:       qtfontdatabasesupport5-devel = %{version}
Provides:       qt5fontdatabasesupport-devel = %{version}

%description -n %{libqtfontdatabasesupport_d}
Devel files needed to build apps based on QtFontDatabaseSupport.

%files -n %{libqtfontdatabasesupport_d}
%{_qt5_libdir}/libQt5FontDatabaseSupport.a
%{_qt5_libdir}/libQt5FontDatabaseSupport.prl
%{_qt5_libdir}/cmake/Qt5FontDatabaseSupport/
%{_qt5_includedir}/QtFontDatabaseSupport/

#------------------------------------------------------------------------------

%package -n %{libqtglxsupport_d}
Summary:        Devel files needed to build apps based on GlxSupport
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Provides:       libqtglxsupport5-devel = %{version}
Provides:       libqt5glxsupport-devel = %{version}
Provides:       qtglxsupport5-devel = %{version}
Provides:       qt5glxsupport-devel = %{version}

%description -n %{libqtglxsupport_d}
Devel files needed to build apps based on QtGlxSupport.

%files -n %{libqtglxsupport_d}
%{_qt5_libdir}/libQt5GlxSupport.a
%{_qt5_libdir}/libQt5GlxSupport.prl
%{_qt5_libdir}/cmake/Qt5GlxSupport/
%{_qt5_includedir}/QtGlxSupport/

#------------------------------------------------------------------------------

%package -n %{libqtinputsupport_d}
Summary:        Devel files needed to build apps based on InputSupport
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Provides:       libqtinputsupport5-devel = %{version}
Provides:       libqt5inputsupport-devel = %{version}
Provides:       qtinputsupport5-devel = %{version}
Provides:       qt5inputsupport-devel = %{version}

%description -n %{libqtinputsupport_d}
Devel files needed to build apps based on QtInputSupport.

%files -n %{libqtinputsupport_d}
%{_qt5_libdir}/libQt5InputSupport.a
%{_qt5_libdir}/libQt5InputSupport.prl
%{_qt5_libdir}/cmake/Qt5InputSupport/
%{_qt5_includedir}/QtInputSupport/

#------------------------------------------------------------------------------

%package -n %{libqtkmssupport_d}
Summary:        Devel files needed to build apps based on KmsSupport
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Provides:       libqtkmssupport5-devel = %{version}
Provides:       libqt5kmssupport-devel = %{version}
Provides:       qtkmssupport5-devel = %{version}
Provides:       qt5kmssupport-devel = %{version}

%description -n %{libqtkmssupport_d}
Devel files needed to build apps based on QtKmsSupport.

%files -n %{libqtkmssupport_d}
%{_qt5_libdir}/libQt5KmsSupport.a
%{_qt5_libdir}/libQt5KmsSupport.prl
%{_qt5_libdir}/cmake/Qt5KmsSupport/
%{_qt5_includedir}/QtKmsSupport/

#------------------------------------------------------------------------------

%package -n %{libqtplatformcompositorsupport_d}
Summary:        Devel files needed to build apps based on PlatformCompositorSupport
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Provides:       libqtplatformcompositorsupport5-devel = %{version}
Provides:       libqt5platformcompositorsupport-devel = %{version}
Provides:       qtplatformcompositorsupport5-devel = %{version}
Provides:       qt5platformcompositorsupport-devel = %{version}

%description -n %{libqtplatformcompositorsupport_d}
Devel files needed to build apps based on QtPlatformCompositorSupport.

%files -n %{libqtplatformcompositorsupport_d}
%{_qt5_libdir}/libQt5PlatformCompositorSupport.a
%{_qt5_libdir}/libQt5PlatformCompositorSupport.prl
%{_qt5_libdir}/cmake/Qt5PlatformCompositorSupport/
%{_qt5_includedir}/QtPlatformCompositorSupport/

#------------------------------------------------------------------------------

%package -n %{libqtservicesupport_d}
Summary:        Devel files needed to build apps based on ServiceSupport
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Provides:       libqtservicesupport5-devel = %{version}
Provides:       libqt5servicesupport-devel = %{version}
Provides:       qtservicesupport5-devel = %{version}
Provides:       qt5servicesupport-devel = %{version}

%description -n %{libqtservicesupport_d}
Devel files needed to build apps based on QtServiceSupport.

%files -n %{libqtservicesupport_d}
%{_qt5_libdir}/libQt5ServiceSupport.a
%{_qt5_libdir}/libQt5ServiceSupport.prl
%{_qt5_libdir}/cmake/Qt5ServiceSupport/
%{_qt5_includedir}/QtServiceSupport/

#------------------------------------------------------------------------------

%package -n %{libqtedid_d}
Summary:        Devel files needed to build apps based on Edid
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Provides:       libqtedid5-devel = %{version}
Provides:       libqt5edid-devel = %{version}
Provides:       qtedid5-devel = %{version}
Provides:       qt5edid-devel = %{version}

%description -n %{libqtedid_d}
Devel files needed to build apps based on QtEdid.

%files -n %{libqtedid_d}
%{_qt5_libdir}/libQt5EdidSupport.a
%{_qt5_libdir}/libQt5EdidSupport.prl
%{_qt5_libdir}/cmake/Qt5EdidSupport/
%{_qt5_includedir}/QtEdidSupport/

#------------------------------------------------------------------------------

%package -n %{libqtthemesupport_d}
Summary:        Devel files needed to build apps based on ThemeSupport
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Provides:       libqtthemesupport5-devel = %{version}
Provides:       libqt5themesupport-devel = %{version}
Provides:       qtthemesupport5-devel = %{version}
Provides:       qt5themesupport-devel = %{version}

%description -n %{libqtthemesupport_d}
Devel files needed to build apps based on QtThemeSupport.

%files -n %{libqtthemesupport_d}
%{_qt5_libdir}/libQt5ThemeSupport.a
%{_qt5_libdir}/libQt5ThemeSupport.prl
%{_qt5_libdir}/cmake/Qt5ThemeSupport/
%{_qt5_includedir}/QtThemeSupport/

#------------------------------------------------------------------------------

%package -n %{libqtxkbcommonsupport_d}
Summary:        Devel files needed to build apps based on XkbCommonSupport
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Provides:       libqtxkbcommonsupport5-devel = %{version}
Provides:       libqt5xkbcommonsupport-devel = %{version}
Provides:       qtxkbcommonsupport5-devel = %{version}
Provides:       qt5xkbcommonsupport-devel = %{version}

%description -n %{libqtxkbcommonsupport_d}
Devel files needed to build apps based on QtXkbCommonSupport.

%files -n %{libqtxkbcommonsupport_d}
%{_qt5_libdir}/libQt5XkbCommonSupport.a
%{_qt5_libdir}/libQt5XkbCommonSupport.prl
%{_qt5_libdir}/cmake/Qt5XkbCommonSupport/
%{_qt5_includedir}/QtXkbCommonSupport/

#------------------------------------------------------------------------------

%package -n %{libqtvulkansupport_d}
Summary:        Devel files needed to build apps based on QtVulkanSupport
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Provides:       libqtvulkansupport5-devel = %{version}
Provides:       libqt5vulkansupport-devel = %{version}
Provides:       qtvulkansupport5-devel = %{version}
Provides:       qt5vulkansupport-devel = %{version}

%description -n %{libqtvulkansupport_d}
Devel files needed to build apps based on QtVulkanSupport.

%files -n %{libqtvulkansupport_d}
%{_qt5_libdir}/libQt5VulkanSupport.*a
%{_qt5_libdir}/libQt5VulkanSupport.prl
%{_qt5_libdir}/cmake/Qt5VulkanSupport/
%{_qt5_includedir}/QtVulkanSupport/

#------------------------------------------------------------------------------
# DATABASE PLUGINS
#------------------------------------------------------------------------------

%if ! %without odbc

%package -n %{_lib}qt5-database-plugin-odbc
Summary:        Qt%{qtmajor} Database ODBC Database Plugin
Group:          Databases
BuildRequires:  unixODBC-devel

Provides:       qt5-database-plugin-odbc = %{version}-%{release}
Provides:       qtbase5-database-plugin-odbc = %{version}-%{release}

%description -n %{_lib}qt5-database-plugin-odbc
The QODBC driver allows you to connect to an ODBC (Open Database
Connectivity) driver manager and access the available data sources.

%files -n %{_lib}qt5-database-plugin-odbc
%{_qt5_plugindir}/sqldrivers/libqsqlodbc.so

%endif

#------------------------------------------------------------------------------

%if ! %without mysql

%package -n %{_lib}qt5-database-plugin-mysql
Summary:        Qt%{qtmajor} MYSQL Database Plugin
Group:          Databases
BuildRequires:  mysql-devel

Provides:       qt5-database-plugin-mysql = %{version}-%{release}
Provides:       qtbase5-database-plugin-mysql = %{version}-%{release}

%description -n %{_lib}qt5-database-plugin-mysql
Database plugin for mysql Qt support.

%files -n %{_lib}qt5-database-plugin-mysql
%{_qt5_plugindir}/sqldrivers/libqsqlmysql.so

%endif

#------------------------------------------------------------------------------

%if ! %without sqlite

%package -n %{_lib}qt5-database-plugin-sqlite
Summary:        Qt%{qtmajor} SQLITE Database Plugin
Group:          Databases
BuildRequires:  pkgconfig(sqlite3)

Provides:       qt5-database-plugin-sqlite = %{version}-%{release}
Provides:       qtbase5-database-plugin-sqlite = %{version}-%{release}

%description -n %{_lib}qt5-database-plugin-sqlite
The Qt SQLite plugin makes it possible to access SQLite databases.

%files -n %{_lib}qt5-database-plugin-sqlite
%{_qt5_plugindir}/sqldrivers/libqsqlite.so
%endif

#------------------------------------------------------------------------------

%if ! %without tds

%package -n %{_lib}qt5-database-plugin-tds
Summary:        Qt%{qtmajor} FREETDS Database Plugin
Group:          Databases
BuildRequires:  freetds-devel

Provides:       qt5-database-plugin-tds = %{version}-%{release}
Provides:       qtbase5-database-plugin-tds = %{version}-%{release}

%description -n %{_lib}qt5-database-plugin-tds
Database plugin for freetds Qt support.

%files -n %{_lib}qt5-database-plugin-tds
%{_qt5_plugindir}/sqldrivers/libqsqltds.so

%endif

#------------------------------------------------------------------------------

%if ! %without ibase

%package -n %{_lib}qt5-database-plugin-ibase
Summary:        Qt%{qtmajor} Interbase Database Plugin
Group:          Databases
BuildRequires:  firebird-devel
BuildRequires:  pkgconfig(fbclient)

Provides:       qt5-database-plugin-ibase = %{version}-%{release}
Provides:       qtbase5-database-plugin-ibase = %{version}-%{release}

%description -n %{_lib}qt5-database-plugin-ibase
Database plugin for interbase Qt support.

%files -n %{_lib}qt5-database-plugin-ibase
%{_qt5_plugindir}/sqldrivers/libqsqlibase.so

%endif

#------------------------------------------------------------------------------

%if ! %without postgres

%package -n %{_lib}qt5-database-plugin-pgsql
Summary:        Qt%{qtmajor} PGSQL Database Plugin
Group:          Databases
BuildRequires:  postgresql-devel
BuildRequires:  libpq-devel

Provides:       qt5-database-plugin-pgsql = %{version}-%{release}
Provides:       qtbase5-database-plugin-pgsql = %{version}-%{release}

%description -n %{_lib}qt5-database-plugin-pgsql
Database plugin for pgsql Qt support.

%files -n %{_lib}qt5-database-plugin-pgsql
%{_qt5_plugindir}/sqldrivers/libqsqlpsql.so

%endif

#------------------------------------------------------------------------------

%prep
%setup -q -n qtbase-everywhere-src-%{qtversion}
%autopatch -p1
# Unlike Fedora, we don't modify the installed mkspecs to contain our flags,
# which would have the side effect that plain 'qmake' would use them as well
# (i.e. even when not building an rpm), which is not really wanted. Our
# packages are built with %%qmake_qt5 (qt5.macros) which already overrides the
# flags, so altering qmake default configuration for that is unnecessary.
# Since the Qt configure script doesn't support defining custom flags, we
# still have to temporarily override the flags below - they are restored in
# %%install. -Anssi
cp mkspecs/linux-g++/qmake.conf mkspecs/linux-g++/qmake.conf.upstream
cat >> mkspecs/linux-g++/qmake.conf <<EOF
QMAKE_CFLAGS   = %{optflags}
QMAKE_CXXFLAGS = %{optflags}
QMAKE_LFLAGS   = %{ldflags}
QMAKE_STRIP    =
# Note that setting QMAKE_LFLAGS_PLUGIN here would do no good, as it would
# just get appended to $QMAKE_LFLAGS instead of replacing it.
EOF

sed -e "s|^QMAKE_CFLAGS_RELEASE .*$|QMAKE_CFLAGS_RELEASE    += %{optflags}  -fno-strict-aliasing -DPIC -fPIC| " -e 's|^QMAKE_CXXFLAGS .*|& -std=gnu++0x|' -i mkspecs/common/gcc-base.conf mkspecs/common/gcc-base-unix.conf

%if 0
# set correct lib path (from fedora)
if [ "%{_lib}" == "lib64" ] ; then
    sed -i -e "s,/usr/lib /lib,/usr/%{_lib} /%{_lib},g" config.tests/{unix,x11}/*.test
    sed -i -e "s,/lib /usr/lib,/%{_lib} /usr/%{_lib},g" config.tests/{unix,x11}/*.test
fi
%endif

%build
export QTDIR=`/bin/pwd`
export PATH="$PWD/bin:$PWD/qtrepotools/bin:$PATH"
# Don't include headers or link with /usr/X11R6/{include,lib}
perl -pi -e 's@/X11R6/@/@' mkspecs/linux-*/qmake.conf mkspecs/common/linux.conf

#------------------------------------------------------------------------------

# (doktor5000) provide SSE2-enabled library in separate subdir as recommended by upstream
# https://bugreports.qt-project.org/browse/QTBUG-35430 
# -no-sse2: compile by default without sse2 support on i586, which also requires
# -no-pch:  do not use pre compiled headers (in order to be able to rebuild the gui submodule)

# -no-feature-relocatable is needed to support relocated prefix etc.,
# see QTBUG-78948 and QTBUG-82589 (mga#26200)

./configure -v \
    -confirm-license \
    -opensource \
    -optimized-qmake \
    -prefix %{_qt5_prefix} \
    -archdatadir %{_qt5_archdatadir} \
    -bindir %{_qt5_bindir} \
    -datadir %{_qt5_datadir} \
    -docdir %{_qt5_docdir} \
    -examplesdir %{_qt5_examplesdir} \
    -headerdir %{_qt5_includedir} \
    -importdir %{_qt5_importdir} \
    -libdir %{_qt5_libdir} \
    -libexecdir %{_qt5_libexecdir} \
    -plugindir %{_qt5_plugindir} \
    -sysconfdir %{_qt5_sysconfdir} \
    -translationdir %{_qt5_translationdir} \
    -testsdir %{_qt5_testsdir} \
%ifarch %ix86
    -no-sse2 \
%endif
%if %with debug
    -debug \
    -verbose \
    -developer-build \
%else
    -release \
    -silent \
%endif
    -shared \
    -no-feature-relocatable \
    -no-separate-debug-info \
    -no-rpath \
    -no-pch \
    -reduce-relocations \
    -openssl-linked \
    -dbus-linked \
%if %{with qvfb}
    -qvfb \
%endif
    -opengl desktop \
    -gtk \
    -egl \
    -fontconfig \
    -platform linux-g++ \
    -sm \
    -system-libpng \
    -system-libjpeg \
    -system-zlib \
    -xkbcommon \
    -system-harfbuzz \
    -glib \
    -journald \
%if ! %{with_cups}
    -no-cups \
%endif
%if ! %without postgres
    -plugin-sql-psql \
%endif
%if ! %without mysql
    -plugin-sql-mysql \
%else
    -no-sql-mysql \
%endif
%if %with ibase
    -plugin-sql-ibase \
%else
    -no-sql-ibase \
%endif
%if ! %without sqlite
    -plugin-sql-sqlite \
    -system-sqlite \
    -no-sql-sqlite2 \
%else
    -no-sql-sqlite \
    -no-sql-sqlite2 \
%endif
%if ! %without odbc
    -plugin-sql-odbc \
%else
    -no-sql-odbc \
%endif
%if %without examples
    -nomake examples
%endif

RPM_BUILD_NCPUS="`/usr/bin/getconf _NPROCESSORS_ONLN`"

################## Build of QtBase ########################################

make -j $RPM_BUILD_NCPUS

################## Build of Docs ########################################
%if %{build_docs}
# HACK to avoid multilib conflicts in noarch content
# see also https://bugreports.qt-project.org/browse/QTBUG-42071
QT_HASH_SEED=0; export QT_HASH_SEED

%__make docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

# create/own dirs
mkdir -p %{buildroot}{%{_qt5_archdatadir}/mkspecs/modules,%{_qt5_importdir},%{_qt5_libexecdir},%{_qt5_plugindir}/{designer,iconengines,script,styles},%{_qt5_translationdir}}
mkdir -p %{buildroot}%{_sysconfdir}/xdg/QtProject

# symlink files to {_bindir}, add -qt5 postfix to not conflict
mkdir %{buildroot}%{_bindir}
pushd %{buildroot}%{_qt5_bindir}
for i in * ; do
  case "${i}" in
    moc|qdbuscpp2xml|qdbusxml2cpp|qmake|rcc|uic)
      ln -sv %{_qt5_bindir}/${i} %{buildroot}%{_bindir}/${i}-qt5
      ln -sv ${i} ${i}-qt5
      ;;
    *)
      ln -v  ${i} %{buildroot}%{_bindir}/${i}
      ;;
  esac
done
popd

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif

install -m644 -p -D %{SOURCE1} %{buildroot}%{_qt5_datadir}/qtlogging.ini

# (doktor5000) provide SSE2-enabled library in separate subdir as recommended by upstream
# https://bugreports.qt-project.org/browse/QTBUG-35430
# first rebuild relevant libraries with SSE2 support, install to %{_qt5_libdir}/sse2/
# taken from Debian - https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=754894

%ifarch %{ix86}
mkdir -p %{buildroot}%{_qt5_libdir}/sse2
# corelib needs make clean first to be able to rebuild
pushd src/corelib; make clean ; ../../bin/qmake -config sse2; make
cp -av ../../lib/libQt5Core.so.* %{buildroot}%{_qt5_libdir}/sse2/
popd
# gui on turn doesn't needs it, and actually fails if done.
pushd src/gui; ../../bin/qmake -config sse2; make
cp -av ../../lib/libQt5Gui.so.* %{buildroot}%{_qt5_libdir}/sse2/
popd
%endif

install -d %{buildroot}%{_qt5_docdir}
install -d %{buildroot}%{_sysconfdir}
install -d %{buildroot}%{_sysconfdir}/profile.d

# recreate .qm files
#LD_LIBRARY_PATH=`pwd`/lib bin/lrelease translations/*.ts

%if %{with qvfb}
# Install qvfb
%make_build -C tools/qvfb INSTALL_ROOT=%{buildroot} install
%else
rm -f %{buildroot}%{_qt5_translationdir}/qvfb*.qm
%endif

# Fix mkspec link
pushd  %{buildroot}%{_qt5_archdatadir}/mkspecs
rm -f default
ln -sf %{_qt5_archdatadir}/mkspecs/linux-g++ default
popd

# Restore qmake.conf to the upstream version which was backed up in %%prep
mv %{buildroot}%{_qt5_archdatadir}/mkspecs/linux-g++/qmake.conf.upstream %{buildroot}%{_qt5_archdatadir}/mkspecs/linux-g++/qmake.conf

# Fix all buildroot paths
find %{buildroot}%{_qt5_libdir} -type f -name '*prl' -exec perl -pi -e "s, -L%{_builddir}/\S+,,g" {} \;
find %{buildroot}%{_qt5_libdir} -type f -name '*prl' -exec sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" {} \;
find %{buildroot}%{_qt5_libdir} -type f -name '*la' -print -exec perl -pi -e "s, -L%{_builddir}/?\S+,,g" {} \;
find %{buildroot}%{_qt5_libdir} -type f -name '*la' -print -exec sed -i -e "s, -L%{_builddir}/?\S+,,g" -e "s,-L../JavaScriptCore/release,,g" -e "s,-ljscore,,g" {} \;
find %{buildroot}%{_qt5_archdatadir}/mkspecs -name 'qmake.conf' -exec chmod -x -- {} \;
find %{buildroot}%{_qt5_archdatadir}/mkspecs -name Info.plist.app -exec chmod -x -- {} \;

# Don't reference builddir neither /usr(/X11R6)?/ in .pc files.
perl -pi -e '\
s@-L/usr/X11R6/%{_lib} @@g;\
s@-I/usr/X11R6/include @@g;\
s@-L/%{_builddir}\S+@@g'\
    `find . -name \*.pc`

# Install rpm macros
mkdir -p %{buildroot}%{_rpmmacrodir}
install -p -m 0644 %SOURCE2 %{buildroot}%{_rpmmacrodir}/macros.qt5
sed -i -e "s|@@VERSION@@|%{version}|g" %{buildroot}%{_rpmmacrodir}/macros.qt5

# Install Compat software OpenGL 1.x
mkdir -p %{buildroot}%{_sysconfdir}/X11/xinit.d
install -m 0755 %SOURCE3 %{buildroot}%{_sysconfdir}/X11/xinit.d/qt5-check-opengl2.sh

# Profiles
cat > %{buildroot}%{_sysconfdir}/profile.d/60qt5.sh << EOF
#!/bin/bash
QTDIR5="%{_qt5_archdatadir}" ; export QTDIR5 ;

[ -z \$QT5DOCDIR ] && export QT5DOCDIR=%{_qt5_docdir}

if [ -z \$(echo \$PATH | grep "%{_qt5_bindir}") ]; then
    PATH=\${PATH}:%{_qt5_bindir}
    export PATH
fi
EOF

cat > %{buildroot}%{_sysconfdir}/profile.d/60qt5.csh << EOF
#!/bin/csh
setenv QTDIR5 %{_qt5_archdatadir}
if ( ! \$?QT5DOCDIR ) setenv QT5DOCDIR %{_qt5_docdir}
set path = (\$path \$QTDIR5/bin)

EOF


# .la and .a files, die, die, die.
rm -f %{buildroot}%{_qt5_libdir}/lib*.la
# .a files are needed by qttols5
#rm -f %%{buildroot}%%{_qt5_libdir}/lib*.a


%changelog
* Mon Jul 14 2025 daviddavid <daviddavid> 5.15.7-6.2.mga9
+ Revision: 2255051
- backport upstream patches to fix CVE-2025-5455 and CVE-2025-4211
  and CVE-2025-30348(mga#34444)
+ ns80 <ns80>
- port patches from Debian and upstream for CVE-2023-51714, CVE-2024-25580 and CVE-2024-39936 (mga#33159)

* Wed Jun 28 2023 daviddavid <daviddavid> 5.15.7-6.mga9
+ Revision: 1963270
- backport kde community patches from Qt5PatchCollection to fix CVE-2023-34410

* Mon May 22 2023 daviddavid <daviddavid> 5.15.7-5.mga9
+ Revision: 1957724
- backport upstream patches to fix CVE-2023-32762 and CVE-2023-32763 (mga#31940)
- comment patch 0165 for CVE-2022-25255

* Mon Feb 13 2023 daviddavid <daviddavid> 5.15.7-4.mga9
+ Revision: 1941298
- fix possible DOS involving the Qt SQL ODBC driver plugin
  CVE-2023-24607 (mga#31545)

* Sat Jan 07 2023 squidf <squidf> 5.15.7-3.mga9
+ Revision: 1931159
- Mass rebuild for icu 72.1

* Fri Dec 16 2022 daviddavid <daviddavid> 5.15.7-2.mga9
+ Revision: 1923525
- non bootstrap build to re-enable docs

* Sat Dec 03 2022 neoclust <neoclust> 5.15.7-1.mga9
+ Revision: 1915256
- New version 5.15.7

* Thu Sep 08 2022 neoclust <neoclust> 5.15.6-1.mga9
+ Revision: 1886009
- Rebase on KDE Qt5PatchCollection
- New version 5.15.6

* Fri Aug 26 2022 neoclust <neoclust> 5.15.5-1.mga9
+ Revision: 1880571
- New version 5.15.5
  Resync with Qt5PatchCollection
- New version 5.15.5

* Sat Jun 18 2022 squidf <squidf> 5.15.2-20.mga9
+ Revision: 1864890
- rebuild for icu 71.1

* Sun Apr 03 2022 umeabot <umeabot> 5.15.2-19.mga9
+ Revision: 1841730
- Mageia 9 Mass Rebuild

* Sun Nov 14 2021 neoclust <neoclust> 5.15.2-18.mga9
+ Revision: 1756270
- Add patch to fix timezone detection (mga#29591)
  Sync with Qt KDE Collection patches

* Mon Oct 18 2021 neoclust <neoclust> 5.15.2-17.mga9
+ Revision: 1752072
- Sync our QT with KDE Qt Collection patches

* Sat Oct 16 2021 neoclust <neoclust> 5.15.2-16.mga9
+ Revision: 1751908
- Add P1000/1001: Fixes CVE-2021-38593 (mga#29468)

* Sun Oct 10 2021 wally <wally> 5.15.2-15.mga9
+ Revision: 1750499
- install rpm macros into %%_rpmmacrodir
- fix %%qmakeinstall_std deprecation warning

* Sun Oct 10 2021 wally <wally> 5.15.2-14.mga9
+ Revision: 1750490
- add %%qmake_build and %%qmake_install macros
- add deprecation warning to %%qmakeinstall_std macro

* Thu Oct 07 2021 neoclust <neoclust> 5.15.2-13.mga9
+ Revision: 1749854
- Add P205: Fixing crash in gimp when using clipboard (mga#26606)

* Mon Oct 04 2021 neoclust <neoclust> 5.15.2-12.mga9
+ Revision: 1749348
- Add P204: Fixes work with mariadb 10.6 (mga#29359)

* Sat Oct 02 2021 wally <wally> 5.15.2-11.mga9
+ Revision: 1748079
- rebuild for openssl 3.0.0

* Wed Aug 11 2021 luigiwalser <luigiwalser> 5.15.2-10.mga9
+ Revision: 1741068
- fix _qt5_version macro

* Wed Aug 11 2021 luigiwalser <luigiwalser> 5.15.2-9.mga9
+ Revision: 1741048
- add _qt5_version macro to fix qtwebengine5 and qtdeclarative5 build

* Tue Aug 03 2021 luigiwalser <luigiwalser> 5.15.2-8.mga9
+ Revision: 1738963
- rebuild for icu

* Fri Apr 30 2021 daviddavid <daviddavid> 5.15.2-7.mga9
+ Revision: 1720576
- add upstream patch to fix QGraphicsItem crash if click right button of mouse (mga#28824)
- re-enable '-reduce-relocations'

* Wed Apr 28 2021 daviddavid <daviddavid> 5.15.2-6.mga9
+ Revision: 1720195
- rebuild for gcc 11
- disable '-reduce-relocations' for now (QTBUG-86173)
- compilation: explicitly pass -egl build option
- add upstream patches to fix build with gcc 11 (QTBUG-90395) (QTBUG-89977)
- add upstream patch to send window id in hex from FileChooser portal

* Mon Mar 08 2021 ghibo <ghibo> 5.15.2-5.mga9
+ Revision: 1700635
- Call the qt5-fedora-check-opengl2.sh xinit script as "sourced" to avoid zombie creation (see bug #27362).

* Mon Dec 28 2020 neoclust <neoclust> 5.15.2-4.mga8
+ Revision: 1664531
- Disable in csh file too

* Mon Dec 28 2020 neoclust <neoclust> 5.15.2-3.mga8
+ Revision: 1664429
- Fix 60qt5.sh (from r1664398)

* Mon Dec 28 2020 neoclust <neoclust> 5.15.2-2.mga8
+ Revision: 1664398
- Disable setting QT_PLUGIN_PATH as it seems make softwares like zoom to start

* Fri Dec 04 2020 daviddavid <daviddavid> 5.15.2-1.mga8
+ Revision: 1652433
- New version 5.15.2
- remove merged upstream patches

* Mon Nov 30 2020 luigiwalser <luigiwalser> 5.15.1-5.mga8
+ Revision: 1650921
- rebuild for icu

* Thu Nov 19 2020 daviddavid <daviddavid> 5.15.1-4.mga8
+ Revision: 1647562
- backport upstream patch to fix SIGTRAP with gdb (QTBUG-86319)

* Tue Oct 20 2020 daviddavid <daviddavid> 5.15.1-3.mga8
+ Revision: 1637250
- qt5gui-devel sub-pkg requires vulkan headers

* Thu Oct 01 2020 daviddavid <daviddavid> 5.15.1-2.mga8
+ Revision: 1631358
- enable vulkan support
- backport upstream fix: Emit QScreen::geometryChanged when the logical DPI changes

* Sat Sep 12 2020 daviddavid <daviddavid> 5.15.1-1.mga8
+ Revision: 1624892
- New version 5.15.1

* Tue Aug 25 2020 daviddavid <daviddavid> 5.15.0-6.mga8
+ Revision: 1618860
- fix another buffer overflow (oss-fuzz-23988)

* Mon Aug 24 2020 daviddavid <daviddavid> 5.15.0-5.mga8
+ Revision: 1618499
- add upstream patch to fix CVE-2020-17507 (mga#27173)

* Fri Aug 07 2020 daviddavid <daviddavid> 5.15.0-4.mga8
+ Revision: 1611740
- ship $$[QT_INSTALL_DATA]/qtlogging.ini for packaged logging defaults (mga#26900)
- categoried logging for xcb entries (QTBUG-55167, mga#27054)

* Wed Jul 01 2020 wally <wally> 5.15.0-3.mga8
+ Revision: 1601057
- rebuild for icu 67.1

* Fri Jun 05 2020 daviddavid <daviddavid> 5.15.0-2.mga8
+ Revision: 1590564
- move the metatypes files in their appropriate devel sub-pkgs

* Wed Jun 03 2020 daviddavid <daviddavid> 5.15.0-1.mga8
+ Revision: 1589798
- New version 5.15.0
- remove merged upstream patch

* Wed Apr 08 2020 daviddavid <daviddavid> 5.14.1-9.mga8
+ Revision: 1565558
- fix CVE-2015-9541 XML entity expansion vulnerability via a crafted SVG document

* Sat Apr 04 2020 wally <wally> 5.14.1-8.mga8
+ Revision: 1564494
- rebuild for new icu 66.1
+ danf <danf>
- Switch URLs from http: to https:

* Fri Mar 06 2020 daviddavid <daviddavid> 5.14.1-7.mga8
+ Revision: 1554460
- fix testsdir path
- change binaries in /usr/bin from harlink to symlink

* Tue Mar 03 2020 daviddavid <daviddavid> 5.14.1-6.mga8
+ Revision: 1553508
- now use system MD4C

* Tue Mar 03 2020 daviddavid <daviddavid> 5.14.1-5.mga8
+ Revision: 1553452
- disable the relocatable feature should fix a prefix issue since Qt 5.14 (mga#26200)
  * see also QTBUG-78948 and QTBUG-82589
- use system pcre2 and system double-conversion

* Thu Feb 20 2020 umeabot <umeabot> 5.14.1-4.mga8
+ Revision: 1546764
- Mageia 8 Mass Rebuild
+ daviddavid <daviddavid>
- fix QTDIR and QTDIR5 path since Qt5 prefix change

* Wed Feb 05 2020 daviddavid <daviddavid> 5.14.1-3.mga8
+ Revision: 1487132
- make that libQt5Sql5 and libQt5Sql-devel requires qt5-database-plugin-ibase

* Thu Jan 30 2020 daviddavid <daviddavid> 5.14.1-2.mga8
+ Revision: 1485597
- enable ibase plugin

* Tue Jan 28 2020 daviddavid <daviddavid> 5.14.1-1.mga8
+ Revision: 1484344
- New version 5.14.1
- move the qt5-check-opengl2.sh file from lib(64)qt5gui5 to the common subpkg (mga#25418)

* Sat Oct 05 2019 daviddavid <daviddavid> 5.13.1-4.mga8
+ Revision: 1449435
- rebuild for new icu 65.1

* Thu Sep 19 2019 daviddavid <daviddavid> 5.13.1-3.mga8
+ Revision: 1443790
- fix library dependency for QtEglFSDeviceIntegrations devel subpkg
- fix library dependency for QtXcbQpa devel subpkg

* Sat Sep 07 2019 daviddavid <daviddavid> 5.13.1-2.mga8
+ Revision: 1438058
- folder "/usr/share/doc/qt5/config/" should be in common sub-pkg

* Fri Sep 06 2019 daviddavid <daviddavid> 5.13.1-1.mga8
+ Revision: 1437719
- New version 5.13.1

* Tue Sep 03 2019 daviddavid <daviddavid> 5.13.0-6.mga8
+ Revision: 1436607
- make that libQt5Sql5 requires qt5-database-plugin-sqlite
- rebuild for new gcc 9 and glibc 2.30

* Fri Jul 26 2019 daviddavid <daviddavid> 5.13.0-5.mga8
+ Revision: 1424388
- rebuild to regenerate rpms into release

* Wed Jul 24 2019 wally <wally> 5.13.0-4.mga8
+ Revision: 1423725
- add a workaround to fix hardcoded lib location to fix some 64 bit builds depending on Qt

* Sat Jul 13 2019 daviddavid <daviddavid> 5.13.0-3.mga8
+ Revision: 1420973
- one more mkspecs fixes
+ neoclust <neoclust>
- More mkspecs fixes (thanks to daviddavid )
- Fix mkspecs location

* Sat Jul 13 2019 neoclust <neoclust> 5.13.0-2.mga8
+ Revision: 1420898
- Start to move to /usr
+ wally <wally>
- provide qmake with common-devel

* Tue Jul 02 2019 daviddavid <daviddavid> 5.13.0-1.mga8
+ Revision: 1417511
- New version 5.13.0

* Mon Apr 01 2019 umeabot <umeabot> 5.12.2-2.mga7
+ Revision: 1384340
- Qt5 Rebuild

* Mon Mar 18 2019 neoclust <neoclust> 5.12.2-1.mga7
+ Revision: 1378638
- New version 5.12.2

* Fri Feb 22 2019 neoclust <neoclust> 5.12.1-6.mga7
+ Revision: 1369268
- Fix paths for QT_PLUGIN_PATH
- Only export path once

* Thu Feb 21 2019 daviddavid <daviddavid> 5.12.1-4.mga7
+ Revision: 1369214
- system doesn't know of new "/usr/lib(64)/qt5/plugins/kcms" path
  from QT_PLUGIN_PATH, so let's export it

* Sun Feb 17 2019 daviddavid <daviddavid> 5.12.1-3.mga7
+ Revision: 1368048
- require openssl-devel >= 1.1 on qtnetwork5-devel sub-pkg

* Sat Feb 09 2019 neoclust <neoclust> 5.12.1-2.mga7
+ Revision: 1364596
- Revert upstream patch to try to fix mga#24060

* Fri Feb 01 2019 neoclust <neoclust> 5.12.1-1.mga7
+ Revision: 1362318
- New version 5.12.1

* Sat Dec 29 2018 luigiwalser <luigiwalser> 5.12.0-2.mga7
+ Revision: 1346112
- rebuild for icu

* Tue Dec 11 2018 neoclust <neoclust> 5.12.0-1.mga7
+ Revision: 1340335
- New version 5.12.0

* Sun Nov 18 2018 tv <tv> 5.11.2-2.mga7
+ Revision: 1330684
- link moc & co in /bin with -qt5 prefix the FC way (needed for LO)

* Mon Oct 15 2018 neoclust <neoclust> 5.11.2-1.mga7
+ Revision: 1320464
- New version 5.11.2

* Sun Sep 23 2018 umeabot <umeabot> 5.11.1-3.mga7
+ Revision: 1300693
- Mageia 7 Mass Rebuild

* Tue Aug 21 2018 tv <tv> 5.11.1-2.mga7
+ Revision: 1253270
- rebuild with latest icu

* Sun Jul 29 2018 neoclust <neoclust> 5.11.1-1.mga7
+ Revision: 1245802
- New version 5.11.1

* Tue Jun 26 2018 daviddavid <daviddavid> 5.11.0-3.mga7
+ Revision: 1239750
- compile against openssl 1.1

* Mon May 28 2018 neoclust <neoclust> 5.11.0-2.mga7
+ Revision: 1232799
- Non bootstrap build

* Fri May 25 2018 neoclust <neoclust> 5.11.0-1.mga7
+ Revision: 1232155
- New version 5.11.0

* Sat Apr 21 2018 daviddavid <daviddavid> 5.10.1-5.mga7
+ Revision: 1220660
- non bootstrap build

* Fri Apr 20 2018 daviddavid <daviddavid> 5.10.1-4.mga7
+ Revision: 1220513
- bootstrap build for arm now (because of broken tslib)

* Wed Apr 18 2018 daviddavid <daviddavid> 5.10.1-3.mga7
+ Revision: 1219942
- non bootstrap build

* Wed Apr 18 2018 daviddavid <daviddavid> 5.10.1-2.mga7
+ Revision: 1219934
- bootstrap build
- rebuild for new tslib 1.15
+ wally <wally>
- drop unneeded BR for lcms
- fix bootstrapping requires

* Mon Apr 09 2018 neoclust <neoclust> 5.10.1-1.mga7
+ Revision: 1216579
- New version 5.10.1

* Wed Feb 28 2018 neoclust <neoclust> 5.9.4-1.mga7
+ Revision: 1205725
- New version 5.9.4

* Sat Feb 17 2018 neoclust <neoclust> 5.9.3-3.mga7
+ Revision: 1202440
- Fix detected version of mariadb ( from upstream )

* Fri Dec 29 2017 wally <wally> 5.9.3-2.mga7
+ Revision: 1187006
- rebuild for new icu

* Fri Dec 22 2017 neoclust <neoclust> 5.9.3-1.mga7
+ Revision: 1183954
- New version 5.9.3

* Sat Sep 16 2017 cjw <cjw> 5.9.1-8.mga7
+ Revision: 1154735
- add dependency on qtwayland5 to libqt5gui-devel to fix
  cmake errors for applications that depend on Qt5::Gui

* Tue Aug 08 2017 neoclust <neoclust> 5.9.1-7.mga7
+ Revision: 1138974
- Build w/o bootstrap

* Thu Aug 03 2017 guillomovitch <guillomovitch> 5.9.1-6.mga7
+ Revision: 1134384
- rebuild for latest openssl

* Sat Jul 22 2017 neoclust <neoclust> 5.9.1-5.mga7
+ Revision: 1126415
- Obsolete old devel package

* Thu Jul 20 2017 neoclust <neoclust> 5.9.1-4.mga7
+ Revision: 1125537
- Add conflicts to ease upgrade

* Wed Jul 19 2017 neoclust <neoclust> 5.9.1-3.mga7
+ Revision: 1124924
- Rename into static rpms

* Wed Jul 19 2017 neoclust <neoclust> 5.9.1-2.mga7
+ Revision: 1124909
- Rename lib packages

* Tue Jul 18 2017 akien <akien> 5.9.1-1.mga7
+ Revision: 1124866
- Add support static libraries of Qt 5.9: AccessibilitySupport, Bootstrap, DeviceDiscoverySupport, EglSupport, EventDispatcherSupport, FbSupport, FontDatabaseSupport, GlxSupport, InputSupport, KmsSupport, PlatformCompositorSupport, ServiceSupport and ThemeSupport
- Cosmetic and logical cleanups of the spec header
+ neoclust <neoclust>
- New version 5.9.1

* Sat Jul 01 2017 luigiwalser <luigiwalser> 5.6.2-11.mga7
+ Revision: 1108894
- add upstream patch via opensuse to fix security issue (bsc#1034005)

* Thu Mar 30 2017 neoclust <neoclust> 5.6.2-10.mga6
+ Revision: 1095279
- Revert branch commits, this does not fix our panel crash

* Wed Mar 29 2017 neoclust <neoclust> 5.6.2-9.mga6
+ Revision: 1095202
- Update to 5.6 branch to help to fix plasma crashes

* Mon Mar 20 2017 akien <akien> 5.6.2-8.mga6
+ Revision: 1093710
- Rebuild against bootstrapped qtbase5

* Mon Mar 20 2017 neoclust <neoclust> 5.6.2-7.mga6
+ Revision: 1093670
- Rebuild against new icu
- Sync with 5.6 branch

* Sun Jan 01 2017 neoclust <neoclust> 5.6.2-6.mga6
+ Revision: 1079241
- Fix Requires

* Sat Dec 31 2016 luigiwalser <luigiwalser> 5.6.2-5.mga6
+ Revision: 1078907
- fix requires for qt5gui-devel
+ daviddavid <daviddavid>
- enable libproxy and tslib support

* Tue Dec 13 2016 neoclust <neoclust> 5.6.2-3.mga6
+ Revision: 1074459
- enable journald support

* Tue Dec 13 2016 stormi <stormi> 5.6.2-2.mga6
+ Revision: 1074432
- Add build dependency to pkgconfig(sm) for mga#16850

* Thu Nov 03 2016 neoclust <neoclust> 5.6.2-1.mga6
+ Revision: 1064875
- New version 5.6.2

* Sat Oct 29 2016 neoclust <neoclust> 5.6.1-14.mga6
+ Revision: 1063879
- Add P101: Fix a dolphin crash (  bko #359758 )

* Sat Sep 03 2016 daviddavid <daviddavid> 5.6.1-13.mga6
+ Revision: 1049966
- fix conflicting doc files: '/usr/share/doc/qt5/global/' should not be in
  doc subpackage as they are already in common subpackage

* Fri Sep 02 2016 daviddavid <daviddavid> 5.6.1-12.mga6
+ Revision: 1049772
- recommends qttools5-assistant instead
- use 'make docs' instead

* Wed Aug 31 2016 daviddavid <daviddavid> 5.6.1-11.mga6
+ Revision: 1049625
- build missing docs part (mga#9812)
- add qtbase5-doc subpackage
- fix qt5-check-opengl2.sh file permission (mga#19238)

* Wed Jun 29 2016 neoclust <neoclust> 5.6.1-10.mga6
+ Revision: 1038090
- New version

* Wed Jun 01 2016 neoclust <neoclust> 5.6.0-10.mga6
+ Revision: 1019678
- More fixes on obsoletes

* Tue May 31 2016 neoclust <neoclust> 5.6.0-9.mga6
+ Revision: 1019581
- Fix typo in obsoletes

* Fri May 13 2016 shlomif <shlomif> 5.6.0-8.mga6
+ Revision: 1014946
- Rebuild for new ICU
+ neoclust <neoclust>
- Requires cmake-rpm-macros at build time

* Mon May 02 2016 neoclust <neoclust> 5.6.0-6.mga6
+ Revision: 1008638
- Fix obsoletes

* Sat Apr 23 2016 neoclust <neoclust> 5.6.0-5.mga6
+ Revision: 1005489
- Force to use gstreamer 1.0

* Sun Apr 10 2016 doktor5000 <doktor5000> 5.6.0-4.mga6
+ Revision: 1000164
- add Requires on glxinfo needed for script qt5-check-opengl2.sh

* Mon Apr 04 2016 neoclust <neoclust> 5.6.0-3.mga6
+ Revision: 998360
- Rebuild to make this fix available on ARM

* Sat Apr 02 2016 zezinho <zezinho> 5.6.0-2.mga6
+ Revision: 997651
- Add Fedora xinit script to allow software on OpenGL 1 hardware (mga#17912)

* Thu Mar 17 2016 neoclust <neoclust> 5.6.0-1.mga6
+ Revision: 992267
- New version 5.6.0

* Wed Mar 09 2016 neoclust <neoclust> 5.6.0-0.rc.4.mga6
+ Revision: 987814
- Rebuild Qt5 Stack to fix plasma crashes

* Thu Mar 03 2016 umeabot <umeabot> 5.6.0-0.rc.3.mga6
+ Revision: 983980
- Rebuild for openssl

* Wed Mar 02 2016 blino <blino> 5.6.0-0.rc.2.mga6
+ Revision: 981754
- rebuild for new openssl

* Mon Feb 29 2016 neoclust <neoclust> 5.6.0-0.rc.1.mga6
+ Revision: 980698
- New version 5.6.0 rc

* Sun Jan 24 2016 neoclust <neoclust> 5.6.0-0.beta.8.mga6
+ Revision: 926846
- Fix crash when opening files ( mga #17443 )

* Sat Jan 16 2016 akien <akien> 5.6.0-0.beta.7.mga6
+ Revision: 924753
- Properly obsolete the qtbase5-database-plugin-* from mga5 (mga#17371)

* Sat Jan 02 2016 luigiwalser <luigiwalser> 5.6.0-0.beta.6.mga6
+ Revision: 918283
- rebuild without directfb

* Fri Jan 01 2016 luigiwalser <luigiwalser> 5.6.0-0.beta.5.mga6
+ Revision: 917919
- rebuild for icu

* Sun Dec 27 2015 neoclust <neoclust> 5.6.0-0.beta.4.mga6
+ Revision: 915980
- Rebuild against new cmake to have cmake() provides

* Sun Dec 27 2015 neoclust <neoclust> 5.6.0-0.beta.3.mga6
+ Revision: 915773
- Rebuild against new cmake to have cmake() provides

* Sun Dec 20 2015 neoclust <neoclust> 5.6.0-0.beta.2.mga6
+ Revision: 912726
- Remove private devel packages

* Fri Dec 18 2015 neoclust <neoclust> 5.6.0-0.beta.1.mga6
+ Revision: 911700
- New version 5.6.0 beta

* Fri Dec 18 2015 neoclust <neoclust> 5.5.1-7.mga6
+ Revision: 911597
- Add fedora macro to remove qtk2 deps

* Mon Nov 30 2015 neoclust <neoclust> 5.5.1-6.mga6
+ Revision: 907321
- Add xcb as build deps

* Tue Nov 10 2015 neoclust <neoclust> 5.5.1-5.mga6
+ Revision: 900363
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.5.1-4.mga6
+ Revision: 900199
- Fix Qt config file storage location

* Wed Nov 04 2015 neoclust <neoclust> 5.5.1-3.mga6
+ Revision: 897772
- Rebuild to make availaable on ARM

* Tue Oct 27 2015 neoclust <neoclust> 5.5.1-2.mga6
+ Revision: 895901
- Libify databases plugins

* Fri Oct 23 2015 neoclust <neoclust> 5.5.1-1.mga6
+ Revision: 894488
- New version
- New version

* Thu Oct 22 2015 blino <blino> 5.5.0-5.mga6
+ Revision: 894063
- revert upstream patch that forbids -reduce-relocations on ARM, since -Bsymbolic is fixed on ARM in ld 2.25 (QTBUG-36129 and binutils#16715)
- do not require qttranslations5 in bootstrap (it needs qtbase to be built)
- remove unused local_phonon_package build conditional

* Sun Sep 06 2015 neoclust <neoclust> 5.5.0-4.mga6
+ Revision: 873566
- Rebuild against new sqlite ( 3.8.11.1 )

* Sun Sep 06 2015 neoclust <neoclust> 5.5.0-3.mga6
+ Revision: 873354
- Rebuild against new sqlite

* Sat Jul 25 2015 cjw <cjw> 5.5.0-2.mga6
+ Revision: 857253
- rebuild for icu 55

* Sun Jul 12 2015 filipesaraiva <filipesaraiva> 5.5.0-1.mga6
+ Revision: 853374
- Update to Qt 5.5.0 version;
- Fix URL to new address qt.io;
- Delete old patches and sources;

* Mon Jun 22 2015 neoclust <neoclust> 5.5.0-0.rc.1.mga6
+ Revision: 839338
- New version 5.5 rc

* Wed Apr 22 2015 luigiwalser <luigiwalser> 5.4.0-7.mga5
+ Revision: 820558
- add patches from fedora to fix CVE-2015-1858, CVE-2015-1859, and CVE-2015-1860

* Sat Feb 28 2015 lmenut <lmenut> 5.4.0-6.mga5
+ Revision: 817205
- add upstream patch to fix DoS vulnerability in the BMP image handler
  (CVE-2015-0295) mga#15383

* Sun Feb 08 2015 doktor5000 <doktor5000> 5.4.0-5.mga5
+ Revision: 814176
- added upstream patch to fix broken drag&drop for 5.4.0 (QTBUG-43436)

* Tue Jan 06 2015 cjw <cjw> 5.4.0-4.mga5
+ Revision: 808796
- sync csh profile script with sh profile script and add needed escape chars (mga #12826)

* Sat Dec 27 2014 neoclust <neoclust> 5.4.0-3.mga5
+ Revision: 806365
- Add csh/tcsh profile support mga #12826

* Tue Dec 23 2014 neoclust <neoclust> 5.4.0-2.mga5
+ Revision: 805003
- Fix Requires for translations Mga#13993 #14746

* Thu Dec 11 2014 neoclust <neoclust> 5.4.0-1.mga5
+ Revision: 802720
- New version 5.4.0

* Sun Dec 07 2014 neoclust <neoclust> 5.3.2-7.mga5
+ Revision: 802011
- New version 5.3.2

* Sat Nov 29 2014 doktor5000 <doktor5000> 5.3.1-7.mga5
+ Revision: 799847
- disable SSE2 on %%ix86 otherwise QT crashes on processors without SSE2
  o fixes (mga#13991), (mga#14229), (mga#14418), (mga#14491)
- provide SSE2-enabled library in separate subdir as recommended by upstream
  o SSE2 library located in %%{_qt5_libdir}/sse2/

* Tue Nov 25 2014 cjw <cjw> 5.3.1-6.mga5
+ Revision: 799031
- rebuild against postgresql9.4

* Wed Oct 15 2014 umeabot <umeabot> 5.3.1-5.mga5
+ Revision: 744026
- Second Mageia 5 Mass Rebuild

* Sun Oct 12 2014 lmenut <lmenut> 5.3.1-4.mga5
+ Revision: 738085
- fix duplicated /usr/lib(64)/qt5/bin in $PATH"
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Tue Aug 05 2014 neoclust <neoclust> 5.3.1-3.mga5
+ Revision: 659910
- Add new macro %%_qt5_qml

* Thu Jul 03 2014 neoclust <neoclust> 5.3.1-2.mga5
+ Revision: 642870
- Workaround a bug in Qt 5.3.1

* Thu Jun 26 2014 fwang <fwang> 5.3.1-1.mga5
+ Revision: 639773
- 5.3.1
- update url

* Tue May 20 2014 fwang <fwang> 5.3.0-1.mga5
+ Revision: 624039
- 5.3.0 final

* Sun May 18 2014 sander85 <sander85> 5.3.0-0.rc.2.mga5
+ Revision: 623527
- Rebuild for directfb
+ fwang <fwang>
- drop old tarball

* Fri May 09 2014 fwang <fwang> 5.3.0-0.rc.1.mga5
+ Revision: 621401
- 5.3.0 rc1

* Thu May 01 2014 luigiwalser <luigiwalser> 5.3.0-0.beta.2.mga5
+ Revision: 619144
- rebuild for directfb

* Sat Apr 05 2014 fwang <fwang> 5.3.0-0.beta.1.mga5
+ Revision: 611995
- 5.3.0beta

* Sat Apr 05 2014 wally <wally> 5.3.0-0.alpha.2.mga5
+ Revision: 611893
- rebuild for new icu

* Mon Mar 03 2014 neoclust <neoclust> 5.3.0-0.alpha.1.mga5
+ Revision: 598773
- New version 5.3.0 Alpha1

* Mon Feb 17 2014 neoclust <neoclust> 5.2.1-4.mga5
+ Revision: 594070
+ rebuild (emptylog)

* Mon Feb 17 2014 neoclust <neoclust> 5.2.1-3.mga5
+ Revision: 594037
- Fix previous commit by moving requires in the good package

* Mon Feb 17 2014 neoclust <neoclust> 5.2.1-2.mga5
+ Revision: 593983
- Fix Requires in qtsql5-devel

* Thu Feb 06 2014 fwang <fwang> 5.2.1-1.mga5
+ Revision: 584171
- 5.2.1

* Sat Dec 14 2013 fwang <fwang> 5.2.0-2.mga4
+ Revision: 556694
- 5.2.0 final

* Sun Dec 01 2013 fwang <fwang> 5.2.0-1.rc1.1.mga4
+ Revision: 554396
- 5.2.0 rc1

* Sat Oct 26 2013 fwang <fwang> 5.2.0-1.beta1.2.mga4
+ Revision: 547083
- use xkbcommon instead
- br xcb-xkb

* Sat Oct 26 2013 fwang <fwang> 5.2.0-1.beta1.1.mga4
+ Revision: 547072
- 5.2.0 beta1

* Mon Oct 21 2013 umeabot <umeabot> 5.2.0-1.alpha.2.mga4
+ Revision: 538802
- Mageia 4 Mass Rebuild

* Wed Oct 02 2013 neoclust <neoclust> 5.2.0-1.alpha.1.mga4
+ Revision: 490404
- New version 5.2.0 alpha

* Thu Sep 26 2013 fwang <fwang> 5.2.0-0.0.20130523.9.mga4
+ Revision: 486794
- rebuild for icu 52

* Sat Aug 10 2013 wally <wally> 5.2.0-0.0.20130523.8.mga4
+ Revision: 465090
- add more cmake fixes (rediff patch)

* Sat Aug 10 2013 neoclust <neoclust> 5.2.0-0.0.20130523.7.mga4
+ Revision: 465081
- Add fedora patch to fix cmake path search

* Sun Jun 02 2013 fwang <fwang> 5.2.0-0.0.20130523.6.mga4
+ Revision: 434633
- rebuild for new libpng

* Tue May 28 2013 neoclust <neoclust> 5.2.0-0.0.20130523.5.mga4
+ Revision: 429226
- No more ld.so.conf.d needed as we moved the libs in %%_libdir

* Mon May 27 2013 neoclust <neoclust> 5.2.0-0.0.20130523.4.mga4
+ Revision: 428776
- Adapt to new lib tree on macros

* Mon May 27 2013 neoclust <neoclust> 5.2.0-0.0.20130523.3.mga4
+ Revision: 428745
- Try to move libs in %%_libdir

* Sun May 26 2013 fwang <fwang> 5.2.0-0.0.20130523.2.mga4
+ Revision: 427996
- rebuild for new icu

* Thu May 23 2013 neoclust <neoclust> 5.2.0-0.0.20130523.1.mga4
+ Revision: 425324
- New Qt 5.2 Snapshot

* Tue Apr 16 2013 neoclust <neoclust> 5.0.2-1.mga3
+ Revision: 410186
- New version 5.0.2

* Sat Feb 02 2013 neoclust <neoclust> 5.0.1-2.mga3
+ Revision: 394069
- Fix Requires

* Fri Feb 01 2013 neoclust <neoclust> 5.0.1-1.mga3
+ Revision: 393866
- New version 5.0.1 Final

* Wed Jan 30 2013 neoclust <neoclust> 5.0.1-0.rc1.8.mga3
+ Revision: 393551
- Add Requires

* Wed Jan 30 2013 neoclust <neoclust> 5.0.1-0.rc1.7.mga3
+ Revision: 393536
- Add macro about makeinstall for qt apps

* Tue Jan 29 2013 neoclust <neoclust> 5.0.1-0.rc1.6.mga3
+ Revision: 393126
- Make qtbase5-devel a metapackage

* Tue Jan 29 2013 neoclust <neoclust> 5.0.1-0.rc1.5.mga3
+ Revision: 393072
- Split cmake files  out of main devel packages
- Split private headers out of devel packages
- Rename devel packages

* Sat Jan 26 2013 neoclust <neoclust> 5.0.1-0.rc1.4.mga3
+ Revision: 392561
- Add openvg support

* Sat Jan 26 2013 neoclust <neoclust> 5.0.1-0.rc1.3.mga3
+ Revision: 392554
- Try to fix gstreamer support

* Sat Jan 26 2013 neoclust <neoclust> 5.0.1-0.rc1.2.mga3
+ Revision: 392544
- Try to add gstreamer support

* Sat Jan 26 2013 neoclust <neoclust> 5.0.1-0.rc1.1.mga3
+ Revision: 392329
- New version 5.0.1 rc1

* Fri Jan 25 2013 fwang <fwang> 5.0.0-12.mga3
+ Revision: 392253
- unify qt5 doc dir
- use xz

* Fri Jan 25 2013 fwang <fwang> 5.0.0-11.mga3
+ Revision: 392220
- drop invalid provides as it will conflicts with qt4
- only call ldconfig when acturall libs are installed
- move ldconfig script into conditioned location

* Fri Jan 25 2013 fwang <fwang> 5.0.0-10.mga3
+ Revision: 392205
- add rpm file triggers so that ldconfig is alwasy run

* Thu Jan 24 2013 neoclust <neoclust> 5.0.0-9.mga3
+ Revision: 392006
- Fix typo in macros

* Thu Jan 24 2013 neoclust <neoclust> 5.0.0-8.mga3
+ Revision: 391945
- Fix typo in macros

* Wed Jan 23 2013 neoclust <neoclust> 5.0.0-7.mga3
+ Revision: 391721
- Fix macros
- Fix typo in comment

* Wed Jan 23 2013 neoclust <neoclust> 5.0.0-6.mga3
+ Revision: 391719
- Add back ld.conf

* Wed Jan 23 2013 neoclust <neoclust> 5.0.0-5.mga3
+ Revision: 391695
- Revert path changes, as includes files conflicts with qt4

* Wed Jan 23 2013 neoclust <neoclust> 5.0.0-4.mga3
+ Revision: 391675
- First try to move libs in libdir

* Wed Jan 23 2013 neoclust <neoclust> 5.0.0-3.mga3
+ Revision: 391267
- Do not remove .a files

* Sun Jan 13 2013 umeabot <umeabot> 5.0.0-2.mga3
+ Revision: 379965
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 neoclust <neoclust> 5.0.0-1.mga3
+ Revision: 335181
- Qt  5.0.0 Final

* Thu Nov 29 2012 neoclust <neoclust> 5.0.0-0.rc1.4.mga3
+ Revision: 322896
- Add missing requires in the devel package

* Thu Nov 29 2012 neoclust <neoclust> 5.0.0-0.rc1.3.mga3
+ Revision: 322796
- New Qt5 rc1 daily snapshot

* Tue Nov 27 2012 neoclust <neoclust> 5.0.0-0.rc1.2.mga3
+ Revision: 322265
- Remove missing deps

* Mon Nov 26 2012 neoclust <neoclust> 5.0.0-0.rc1.1.mga3
+ Revision: 322187
- Daily rc snapshot
+ fwang <fwang>
- update url

* Sat Nov 17 2012 neoclust <neoclust> 5.0.0-0.beta.20.mga3
+ Revision: 319123
- Fix libs name

* Sat Nov 17 2012 neoclust <neoclust> 5.0.0-0.beta.19.mga3
+ Revision: 319086
- Fix wrong requires in opengl package

* Fri Nov 16 2012 neoclust <neoclust> 5.0.0-0.beta.18.mga3
+ Revision: 318971
- Fix requires on the devel package

* Fri Nov 16 2012 neoclust <neoclust> 5.0.0-0.beta.17.mga3
+ Revision: 318400
- Add Master patch to rename libs and allow qt4/Qt5 co installation

* Thu Nov 15 2012 neoclust <neoclust> 5.0.0-0.beta.16.mga3
+ Revision: 318235
- imported package qtbase5

